commit breeze4-style for openSUSE:13.2:Update

2016-11-22 Thread h_root
Hello community,

here is the log from the commit of package breeze4-style for 
openSUSE:13.2:Update checked in at 2016-11-23 08:16:32

Comparing /work/SRC/openSUSE:13.2:Update/breeze4-style (Old)
 and  /work/SRC/openSUSE:13.2:Update/.breeze4-style.new (New)


Package is "breeze4-style"

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
++ _link ++
--- /var/tmp/diff_new_pack.umziGk/_old  2016-11-23 08:16:33.0 +0100
+++ /var/tmp/diff_new_pack.umziGk/_new  2016-11-23 08:16:33.0 +0100
@@ -1 +1 @@
-
+




commit breeze for openSUSE:13.2:Update

2016-11-22 Thread h_root
Hello community,

here is the log from the commit of package breeze for openSUSE:13.2:Update 
checked in at 2016-11-23 08:16:26

Comparing /work/SRC/openSUSE:13.2:Update/breeze (Old)
 and  /work/SRC/openSUSE:13.2:Update/.breeze.new (New)


Package is "breeze"

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
++ _link ++
--- /var/tmp/diff_new_pack.7P6ZS8/_old  2016-11-23 08:16:27.0 +0100
+++ /var/tmp/diff_new_pack.7P6ZS8/_new  2016-11-23 08:16:27.0 +0100
@@ -1 +1 @@
-
+




commit perl-CPAN-Perl-Releases for openSUSE:Factory

2016-11-22 Thread h_root
Hello community,

here is the log from the commit of package perl-CPAN-Perl-Releases for 
openSUSE:Factory checked in at 2016-11-22 18:58:50

Comparing /work/SRC/openSUSE:Factory/perl-CPAN-Perl-Releases (Old)
 and  /work/SRC/openSUSE:Factory/.perl-CPAN-Perl-Releases.new (New)


Package is "perl-CPAN-Perl-Releases"

Changes:

--- 
/work/SRC/openSUSE:Factory/perl-CPAN-Perl-Releases/perl-CPAN-Perl-Releases.changes
  2016-11-07 12:22:34.0 +0100
+++ 
/work/SRC/openSUSE:Factory/.perl-CPAN-Perl-Releases.new/perl-CPAN-Perl-Releases.changes
 2016-11-22 18:58:52.0 +0100
@@ -1,0 +2,6 @@
+Mon Nov 21 06:07:42 UTC 2016 - co...@suse.com
+
+- updated to 3.00
+   see /usr/share/doc/packages/perl-CPAN-Perl-Releases/Changes
+
+---

Old:

  CPAN-Perl-Releases-2.98.tar.gz

New:

  CPAN-Perl-Releases-3.00.tar.gz



Other differences:
--
++ perl-CPAN-Perl-Releases.spec ++
--- /var/tmp/diff_new_pack.ohw6Om/_old  2016-11-22 18:58:53.0 +0100
+++ /var/tmp/diff_new_pack.ohw6Om/_new  2016-11-22 18:58:53.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   perl-CPAN-Perl-Releases
-Version:2.98
+Version:3.00
 Release:0
 %define cpan_name CPAN-Perl-Releases
 Summary:Mapping Perl releases on CPAN to the location of the tarballs

++ CPAN-Perl-Releases-2.98.tar.gz -> CPAN-Perl-Releases-3.00.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CPAN-Perl-Releases-2.98/Changes 
new/CPAN-Perl-Releases-3.00/Changes
--- old/CPAN-Perl-Releases-2.98/Changes 2016-10-20 17:53:49.0 +0200
+++ new/CPAN-Perl-Releases-3.00/Changes 2016-11-20 22:51:06.0 +0100
@@ -1,8 +1,18 @@
 ==
-Changes from 2011-10-22 00:00:00 + to present.
+Changes from 2011-11-22 00:00:00 + to present.
 ==
 
 -
+version 3.00 at 2016-11-20 21:30:45 +
+-
+
+  Change: 34d38051f1be7244f3ebf2fd6ed999c10d29d087
+  Author: Chris 'BinGOs' Williams 
+  Date : 2016-11-20 21:30:45 +
+
+Updated for v5.25.7 
+
+-
 version 2.98 at 2016-10-20 15:53:14 +
 -
 
@@ -1357,16 +1367,6 @@
 
 Updated for v5.15.6 
 
--
-version 0.38 at 2011-11-20 19:12:42 +
--
-
-  Change: e4e6183bce925db2d68d7fbf1f56b6c71085d9db
-  Author: Chris 'BinGOs' Williams 
-  Date : 2011-11-20 19:12:42 +
-
-Updated for v5.15.5 
-
 =
-Plus 18 releases after 2011-10-22 00:00:00 +.
+Plus 19 releases after 2011-11-22 00:00:00 +.
 =
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CPAN-Perl-Releases-2.98/META.json 
new/CPAN-Perl-Releases-3.00/META.json
--- old/CPAN-Perl-Releases-2.98/META.json   2016-10-20 17:53:49.0 
+0200
+++ new/CPAN-Perl-Releases-3.00/META.json   2016-11-20 22:51:06.0 
+0100
@@ -54,7 +54,7 @@
  "web" : "https://github.com/bingos/cpan-perl-releases;
   }
},
-   "version" : "2.98",
-   "x_serialization_backend" : "Cpanel::JSON::XS version 3.0218"
+   "version" : "3.00",
+   "x_serialization_backend" : "Cpanel::JSON::XS version 3.0224"
 }
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CPAN-Perl-Releases-2.98/META.yml 
new/CPAN-Perl-Releases-3.00/META.yml
--- old/CPAN-Perl-Releases-2.98/META.yml2016-10-20 17:53:49.0 
+0200
+++ new/CPAN-Perl-Releases-3.00/META.yml2016-11-20 22:51:06.0 
+0100
@@ -21,5 +21,5 @@
 resources:
   homepage: https://github.com/bingos/cpan-perl-releases
   repository: https://github.com/bingos/cpan-perl-releases.git
-version: '2.98'
+version: '3.00'
 x_serialization_backend: 'YAML::Tiny version 1.69'
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/CPAN-Perl-Releases-2.98/Makefile.PL 
new/CPAN-Perl-Releases-3.00/Makefile.PL
--- old/CPAN-Perl-Releases-2.98/Makefile.PL 2016-10-20 17:53:49.0 
+0200
+++ new/CPAN-Perl-Releases-3.00/Makefile.PL 2016-11-20 22:51:06.0 
+0100
@@ -26,7 +26,7 @@
 "IPC::Open3" => 0,
 "Test::More" => "0.47"
   },
-  "VERSION" => "2.98",
+  "VERSION" => "3.00",
   "test" => {
 "TESTS" => "t/*.t"
   }
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 

commit perl-Net-Twitter for openSUSE:Factory

2016-11-22 Thread h_root
Hello community,

here is the log from the commit of package perl-Net-Twitter for 
openSUSE:Factory checked in at 2016-11-22 18:58:45

Comparing /work/SRC/openSUSE:Factory/perl-Net-Twitter (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Net-Twitter.new (New)


Package is "perl-Net-Twitter"

Changes:

--- /work/SRC/openSUSE:Factory/perl-Net-Twitter/perl-Net-Twitter.changes
2016-11-20 18:19:41.0 +0100
+++ /work/SRC/openSUSE:Factory/.perl-Net-Twitter.new/perl-Net-Twitter.changes   
2016-11-22 18:58:46.0 +0100
@@ -1,0 +2,17 @@
+Mon Nov 21 06:59:47 UTC 2016 - co...@suse.com
+
+- updated to 4.01041
+   see /usr/share/doc/packages/perl-Net-Twitter/Changes
+
+  4.01041 2016-11-19
+  - hack dist.ini to get POD and README back into the distribution O_o
+  
+  4.01040 2016-11-19
+  - added trait WrapResult (returns both the HTTP response, with rate limit
+accessors, and the decoded JSON response)
+  - rename placeholder :category to :slug with backwards compatibility to
+match Twitter's documentation
+  - add attachment_url parameter to update method
+  - add links to Twitter API docs
+
+---

Old:

  Net-Twitter-4.01030.tar.gz

New:

  Net-Twitter-4.01041.tar.gz



Other differences:
--
++ perl-Net-Twitter.spec ++
--- /var/tmp/diff_new_pack.2d2Xw2/_old  2016-11-22 18:58:47.0 +0100
+++ /var/tmp/diff_new_pack.2d2Xw2/_new  2016-11-22 18:58:47.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   perl-Net-Twitter
-Version:4.01030
+Version:4.01041
 Release:0
 %define cpan_name Net-Twitter
 Summary:Perl Interface to the Twitter Api

++ Net-Twitter-4.01030.tar.gz -> Net-Twitter-4.01041.tar.gz ++
 3164 lines of diff (skipped)




commit raspberrypi-firmware for openSUSE:Factory

2016-11-22 Thread h_root
Hello community,

here is the log from the commit of package raspberrypi-firmware for 
openSUSE:Factory checked in at 2016-11-22 18:58:11

Comparing /work/SRC/openSUSE:Factory/raspberrypi-firmware (Old)
 and  /work/SRC/openSUSE:Factory/.raspberrypi-firmware.new (New)


Package is "raspberrypi-firmware"

Changes:

--- 
/work/SRC/openSUSE:Factory/raspberrypi-firmware/raspberrypi-firmware-config-rpi.changes
 2016-10-25 17:44:43.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.raspberrypi-firmware.new/raspberrypi-firmware-config-rpi.changes
2016-11-22 18:58:12.0 +0100
@@ -1,0 +2,5 @@
+Fri Nov 18 16:18:56 UTC 2016 - guilla...@opensuse.org
+
+- Update to 64996b0 (2016-11-16)
+
+---
raspberrypi-firmware-config-rpi2.changes: same change
raspberrypi-firmware-config-rpi3.changes: same change
raspberrypi-firmware.changes: same change

Old:

  raspberrypi-firmware-2016.10.20.tar.bz2

New:

  raspberrypi-firmware-2016.11.16.tar.bz2



Other differences:
--
++ raspberrypi-firmware-config-rpi.spec ++
--- /var/tmp/diff_new_pack.Y8CLVc/_old  2016-11-22 18:58:14.0 +0100
+++ /var/tmp/diff_new_pack.Y8CLVc/_new  2016-11-22 18:58:14.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   raspberrypi-firmware-config-rpi
-Version:2016.10.20
+Version:2016.11.16
 Release:0
 Summary:Configuration for the Raspberry Pi firmware loader
 License:MIT

raspberrypi-firmware-config-rpi2.spec: same change
raspberrypi-firmware-config-rpi3.spec: same change
++ raspberrypi-firmware.spec ++
--- /var/tmp/diff_new_pack.Y8CLVc/_old  2016-11-22 18:58:14.0 +0100
+++ /var/tmp/diff_new_pack.Y8CLVc/_new  2016-11-22 18:58:14.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   raspberrypi-firmware
-Version:2016.10.20
+Version:2016.11.16
 Release:0
 Summary:Binary bootloader and firmware files for Raspberry Pi
 License:SUSE-Firmware

++ raspberrypi-firmware-2016.10.20.tar.bz2 -> 
raspberrypi-firmware-2016.11.16.tar.bz2 ++
/work/SRC/openSUSE:Factory/raspberrypi-firmware/raspberrypi-firmware-2016.10.20.tar.bz2
 
/work/SRC/openSUSE:Factory/.raspberrypi-firmware.new/raspberrypi-firmware-2016.11.16.tar.bz2
 differ: char 11, line 1

++ raspberrypi-firmware-config.spec.in ++
--- /var/tmp/diff_new_pack.Y8CLVc/_old  2016-11-22 18:58:14.0 +0100
+++ /var/tmp/diff_new_pack.Y8CLVc/_new  2016-11-22 18:58:14.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   __NAME__
-Version:2016.10.20
+Version:2016.11.16
 Release:0
 Summary:Configuration for the Raspberry Pi firmware loader
 License:MIT




commit vips for openSUSE:Factory

2016-11-22 Thread h_root
Hello community,

here is the log from the commit of package vips for openSUSE:Factory checked in 
at 2016-11-22 18:59:27

Comparing /work/SRC/openSUSE:Factory/vips (Old)
 and  /work/SRC/openSUSE:Factory/.vips.new (New)


Package is "vips"

Changes:

--- /work/SRC/openSUSE:Factory/vips/vips.changes2016-04-28 
16:59:11.0 +0200
+++ /work/SRC/openSUSE:Factory/.vips.new/vips.changes   2016-11-22 
18:59:28.0 +0100
@@ -1,0 +2,117 @@
+Tue Nov  8 16:33:37 UTC 2016 - avvi...@yandex.by
+
+- Update to 8.4.3:
+  * fix error detection in gif_close
+  * fix tiny threading memleak
+  * improve compatibility with very old glib, see #548
+- Change in 8.4.2:
+  * small doc improvements
+  * fix error message for metadata fetch type mismatch
+  * resolve a race condition in thread shutdown, thanks Lovell
+- Change in 8.4:
+  * many more wepsave options [Felix Bünemann]
+  * added quant_table option to wepsave [Felix Bünemann]
+  * added @n option to pdfload, thanks andris
+  * dzsave won't write empty tiles in google mode, thanks bverem, 
+perog, felixbuenemann
+  * allow nested [] in CLI args
+  * restore BandFmt on unpremultiply in vipsthumbnail
+  * better python detection and build [Felix Bünemann]
+  * max-alpha defaults to 65535 for RGB16/GREY16
+  * added radsave_buffer [Henri Chain]
+  * support tiff orientation tag
+  * autorotate option for tiff load
+  * tiffsave converts for jpg if jpg compression is turned on
+  * tiffsave supports --strip
+  * conversions to GREY16 could lock
+  * free pixel buffers on image close as well as thread exit
+thread buffers clogging up the system
+  * dzsave can write compressed zips [Felix Bünemann]
+  * vips_image_write() only refs the input when it has to ... makes 
+it easier to combine many images in bounded memory
+  * VImage::write() implementation was missing
+  * VImage::write() return value changed from void to VImage to help 
+chaining
+  * added C++ arithmetic assignment overloads, += etc. 
+  * VImage::ifthenelse() with double args was missing =0 on options
+  * better accuracy for reducev with smarter multiplication
+  * better quality for vips_resize() with linear/cubic kernels 
+  * pyvips8 can create new metadata
+  * better upsizing with vips_resize()
+  * add imagemagick v7 support, thanks sachinwalia2k8 
+  * added vips_worley(), vips_perlin() noise generators
+  * added vips_convf(), vips_convi(), vips_convasep(), vips_conva()
+im_conv*() functions rewritten as classes
+  * vips_convsep() calls vips_convasep() for the approximate case
+  * new fixed-point vector path for convi is up to about 2x faster
+  * gif loader can make 1, 2, 3, or 4 bands depending on file contents
+  * support --strip for pngsave
+  * add svgz support [Felix Bünemann]
+  * rename boostrap.sh -> autogen.sh to help snapcraft
+  * support unicode filenames on Windows 
+  * added VIPS_ROUND as well as VIPS_RINT
+  * resize/reduce*/shrink*/affine now round output size to nearest rather 
+than rounding down, thanks ioquatix
+  * better support for tile overlaps in google maps mode in dzsave
+  * dzsave puts vips-properties.xml in the main dir for gm and zoomify 
+layouts
+  * resize and reduce have @centre option for centre convention 
+downsampling
+  * vipsthumbnail uses centre convention to better match imagemagick
+- Change in 8.3.4:
+  * better transparency handling in gifload, thanks diegocsandrim
+- Change in 8.3.3:
+  * fix performance regression in 8.3.2, thanks Lovell
+  * yet more robust vips file reading
+- Change in 8.3.2:
+  * more robust vips image reading
+  * more robust tiff read [Matt Richards]
+- Change in 8.3.1:
+  * rename vips wrapper script, it was still vips-8.2, thanks Benjamin
+  * export C++ operator overloads for MSVC linking [Lovell]
+  * fix magickload @page with GraphicsMagick
+  * add giflib5 support
+  * allow resize >1 on one axis, <1 on the other
+  * vips_resize has an optional @kernel argument
+  * fix giflib4 detection [felixbuenemann]
+- Change in 8.3:
+  * add vips_reduce*() ... a fast path for affine downsize
+  * vips_resize() uses vips_reduce() with lanczos3 
+  * bicubic is better on 32-bit int images
+  * add pdfload, svgload, gifload for PDF, SVG and GIF rendering 
+  * vipsthumbnail knows about pdfload and svgload
+  * added @page param to magickload 
+  * matload is more specific (thanks bithive)
+  * lower mem use for progressive jpg decode
+  * sharpen has a new @sigma param, @radius is deprecated
+  * sharpen allows a much greater range of parameters
+  * sharpen defaults now suitable for screen output
+  * better handling of deprecated args in python
+  * much better handling of arrayimage command-line args
+  * faster hist_find (Lovell Fuller)
+  * webpload has a @shrink parameter for shrink-on-load
+  * vipsthumbnail knows about 

commit gpg2 for openSUSE:Factory

2016-11-22 Thread h_root
Hello community,

here is the log from the commit of package gpg2 for openSUSE:Factory checked in 
at 2016-11-22 18:57:36

Comparing /work/SRC/openSUSE:Factory/gpg2 (Old)
 and  /work/SRC/openSUSE:Factory/.gpg2.new (New)


Package is "gpg2"

Changes:

--- /work/SRC/openSUSE:Factory/gpg2/gpg2.changes2016-09-17 
14:32:23.0 +0200
+++ /work/SRC/openSUSE:Factory/.gpg2.new/gpg2.changes   2016-11-22 
18:57:37.0 +0100
@@ -1,0 +2,47 @@
+Sat Nov 19 22:07:13 UTC 2016 - astie...@suse.com
+
+- GnuPG 2.1.16:
+ * gpg: New algorithm for selecting the best ranked public key when
+   using a mail address with -r, -R, or --locate-key.
+ * gpg: New option --with-tofu-info to print a new "tfs" record in
+   colon formatted key listings.
+ * gpg: New option --compliance as an alternative way to specify
+   options like --rfc2440, --rfc4880, et al.
+ * gpg: Many changes to the TOFU implementation.
+ * gpg: Improve usability of --quick-gen-key.
+ * gpg: In --verbose mode print a diagnostic when a pinentry is
+   launched.
+ * gpg: Remove code which warns for old versions of gnome-keyring.
+ * gpg: New option --override-session-key-fd.
+ * gpg: Option --output does now work with --verify.
+ * gpgv: New option --output to allow saving the verified data.
+ * gpgv: New option --enable-special-filenames.
+ * agent, dirmngr: New --supervised mode for use by systemd and alike.
+ * agent: By default listen on all available sockets using standard
+   names.
+ * agent: Invoke scdaemon with --homedir.
+ * dirmngr: On Linux now detects the removal of its own socket and
+   terminates.
+ * scd: Support ECC key generation.
+ * scd: Support more card readers.
+ * dirmngr: New option --allow-version-check to download a software
+   version database in the background.
+ * dirmngr: Use system provided CAs if no --hkp-cacert is given.
+ * dirmngr: Use a default keyserver if none is explicitly set
+ * gpgconf: New command --query-swdb to check software versions
+   against an copy of an online database.
+ * gpgconf: Print the socket directory with --list-dirs.
+ * tools: The WKS tools now support draft version -02.
+ * tools: Always build gpg-wks-client and install under libexec.
+ * tools: New option --supported for gpg-wks-client.
+ * The log-file option now accepts a value "socket://" to log to the
+   socket named "S.log" in the standard socket directory.
+ * Provide fake pinentries for use by tests cases of downstream
+   developers.
+ * Fixed many bugs and regressions.
+ * Many changes and improvements for the test suite.
+- drop upstreamed patches:
+  * 0001-common-Follow-up-to-14479e2-fix-void-return-in-non-v.patch
+  * gnupg-2.1.15-bsc993324-status-output.patch
+
+---

Old:

  0001-common-Follow-up-to-14479e2-fix-void-return-in-non-v.patch
  gnupg-2.1.15-bsc993324-status-output.patch
  gnupg-2.1.15.tar.bz2
  gnupg-2.1.15.tar.bz2.sig

New:

  gnupg-2.1.16.tar.bz2
  gnupg-2.1.16.tar.bz2.sig



Other differences:
--
++ gpg2.spec ++
--- /var/tmp/diff_new_pack.bDpN3M/_old  2016-11-22 18:57:38.0 +0100
+++ /var/tmp/diff_new_pack.bDpN3M/_new  2016-11-22 18:57:38.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   gpg2
-Version:2.1.15
+Version:2.1.16
 Release:0
 Summary:GnuPG 2
 License:GPL-3.0+
@@ -34,8 +34,6 @@
 Patch8: gnupg-set_umask_before_open_outfile.patch
 Patch9: gnupg-detect_FIPS_mode.patch
 Patch11:gnupg-add_legacy_FIPS_mode_option.patch
-Patch12:0001-common-Follow-up-to-14479e2-fix-void-return-in-non-v.patch
-Patch13:gnupg-2.1.15-bsc993324-status-output.patch
 BuildRequires:  expect
 BuildRequires:  fdupes
 BuildRequires:  libadns-devel
@@ -86,8 +84,6 @@
 %patch8 -p1
 %patch9 -p1
 %patch11 -p1
-%patch12 -p1
-%patch13 -p1
 
 %build
 date=$(date -u +%%Y-%%m-%%dT%%H:%%M+ -r %{SOURCE99})

++ gnupg-2.1.15.tar.bz2 -> gnupg-2.1.16.tar.bz2 ++
 336691 lines of diff (skipped)





commit perl-YAML for openSUSE:Factory

2016-11-22 Thread h_root
Hello community,

here is the log from the commit of package perl-YAML for openSUSE:Factory 
checked in at 2016-11-22 18:57:28

Comparing /work/SRC/openSUSE:Factory/perl-YAML (Old)
 and  /work/SRC/openSUSE:Factory/.perl-YAML.new (New)


Package is "perl-YAML"

Changes:

--- /work/SRC/openSUSE:Factory/perl-YAML/perl-YAML.changes  2016-07-18 
21:22:25.0 +0200
+++ /work/SRC/openSUSE:Factory/.perl-YAML.new/perl-YAML.changes 2016-11-22 
18:57:36.0 +0100
@@ -1,0 +2,14 @@
+Sat Nov 19 07:36:05 UTC 2016 - co...@suse.com
+
+- updated to 1.19
+   see /usr/share/doc/packages/perl-YAML/Changes
+
+  1.19 Fri Nov 18 19:46:44 CET 2016
+   - Apply PR/164 pod (link to YAML::Shell)
+   - Apply PR/151 Fix infinite loop for aliases without a name @bubaflub++
+   - Apply PR/142 Improve error messages @werekraken++
+   - Apply PR/162 Improve error messages
+   - Apply PR/163 Trailing spaces after inline seq/map work now
+   - Apply PR/154 Add test case for trailing comments @Varadinsky++
+
+---

Old:

  YAML-1.18.tar.gz

New:

  YAML-1.19.tar.gz



Other differences:
--
++ perl-YAML.spec ++
--- /var/tmp/diff_new_pack.Ye0wIW/_old  2016-11-22 18:57:37.0 +0100
+++ /var/tmp/diff_new_pack.Ye0wIW/_new  2016-11-22 18:57:37.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   perl-YAML
-Version:1.18
+Version:1.19
 Release:0
 %define cpan_name YAML
 Summary:YAML Ain't Markup Language™

++ YAML-1.18.tar.gz -> YAML-1.19.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/YAML-1.18/Changes new/YAML-1.19/Changes
--- old/YAML-1.18/Changes   2016-07-08 16:52:37.0 +0200
+++ new/YAML-1.19/Changes   2016-11-18 19:46:54.0 +0100
@@ -1,3 +1,11 @@
+1.19 Fri Nov 18 19:46:44 CET 2016
+ - Apply PR/164 pod (link to YAML::Shell)
+ - Apply PR/151 Fix infinite loop for aliases without a name @bubaflub++
+ - Apply PR/142 Improve error messages @werekraken++
+ - Apply PR/162 Improve error messages
+ - Apply PR/163 Trailing spaces after inline seq/map work now
+ - Apply PR/154 Add test case for trailing comments @Varadinsky++
+
 1.18 Fri Jul  8 14:52:26 UTC 2016
  - Apply PR/161 @perlpunk++
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/YAML-1.18/MANIFEST new/YAML-1.19/MANIFEST
--- old/YAML-1.18/MANIFEST  2016-07-08 16:52:37.0 +0200
+++ new/YAML-1.19/MANIFEST  2016-11-18 19:46:54.0 +0100
@@ -1,4 +1,4 @@
-# This file was automatically generated by Dist::Zilla::Plugin::Manifest 
v6.006.
+# This file was automatically generated by Dist::Zilla::Plugin::Manifest 
v6.008.
 CONTRIBUTING
 Changes
 LICENSE
@@ -63,6 +63,7 @@
 t/global-api.t
 t/inbox.t
 t/issue-149.t
+t/issue-69.t
 t/load-fails.t
 t/load-passes.t
 t/load-slides.t
@@ -79,6 +80,7 @@
 t/svk-config.yaml
 t/svk.t
 t/test.t
+t/trailing_comment_bug.t
 xt/meta.t
 xt/pmv.t
 xt/pod.t
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/YAML-1.18/META.json new/YAML-1.19/META.json
--- old/YAML-1.18/META.json 2016-07-08 16:52:37.0 +0200
+++ new/YAML-1.19/META.json 2016-11-18 19:46:54.0 +0100
@@ -4,7 +4,7 @@
   "Ingy d\u00f6t Net "
],
"dynamic_config" : 0,
-   "generated_by" : "Dist::Zilla version 6.006, CPAN::Meta::Converter version 
2.150005",
+   "generated_by" : "Dist::Zilla version 6.008, CPAN::Meta::Converter version 
2.150001",
"license" : [
   "perl_5"
],
@@ -56,7 +56,7 @@
  "web" : "https://github.com/ingydotnet/yaml-pm;
   }
},
-   "version" : "1.18",
-   "x_serialization_backend" : "Cpanel::JSON::XS version 3.0217"
+   "version" : "1.19",
+   "x_serialization_backend" : "Cpanel::JSON::XS version 3.0115"
 }
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/YAML-1.18/META.yml new/YAML-1.19/META.yml
--- old/YAML-1.18/META.yml  2016-07-08 16:52:37.0 +0200
+++ new/YAML-1.19/META.yml  2016-11-18 19:46:54.0 +0100
@@ -8,7 +8,7 @@
 configure_requires:
   ExtUtils::MakeMaker: '0'
 dynamic_config: 0
-generated_by: 'Dist::Zilla version 6.006, CPAN::Meta::Converter version 
2.150005'
+generated_by: 'Dist::Zilla version 6.008, CPAN::Meta::Converter version 
2.150001'
 license: perl
 meta-spec:
   url: http://module-build.sourceforge.net/META-spec-v1.4.html
@@ -26,5 +26,5 @@
   bugtracker: https://github.com/ingydotnet/yaml-pm/issues
   homepage: https://github.com/ingydotnet/yaml-pm
   repository: https://github.com/ingydotnet/yaml-pm.git
-version: '1.18'
+version: '1.19'
 x_serialization_backend: 

commit libqt5-creator for openSUSE:Factory

2016-11-22 Thread h_root
Hello community,

here is the log from the commit of package libqt5-creator for openSUSE:Factory 
checked in at 2016-11-22 18:59:12

Comparing /work/SRC/openSUSE:Factory/libqt5-creator (Old)
 and  /work/SRC/openSUSE:Factory/.libqt5-creator.new (New)


Package is "libqt5-creator"

Changes:

--- /work/SRC/openSUSE:Factory/libqt5-creator/libqt5-creator.changes
2016-07-15 12:45:55.0 +0200
+++ /work/SRC/openSUSE:Factory/.libqt5-creator.new/libqt5-creator.changes   
2016-11-22 18:59:13.0 +0100
@@ -1,0 +2,14 @@
+Tue Nov 22 08:10:55 UTC 2016 - fab...@ritter-vogt.de
+
+- Change license back temporarily. After this is in factory,
+  we can resume the wait to get it accepted.
+
+---
+Thu Aug 25 22:33:21 UTC 2016 - cgiboude...@gmx.com
+
+- Update to 4.1.0
+  * For more details see:
+  http://blog.qt.io/blog/2016/08/25/qt-creator-4-1-0-released/
+- Change the license tag. Digia is no more.
+
+---

Old:

  qt-creator-opensource-src-4.0.1.tar.gz

New:

  qt-creator-opensource-src-4.1.0.tar.gz



Other differences:
--
++ libqt5-creator.spec ++
--- /var/tmp/diff_new_pack.YRd4MC/_old  2016-11-22 18:59:15.0 +0100
+++ /var/tmp/diff_new_pack.YRd4MC/_new  2016-11-22 18:59:15.0 +0100
@@ -17,13 +17,13 @@
 
 
 Name:   libqt5-creator
-Version:4.0.1
+Version:4.1.0
 Release:0
 Summary:Lightweight IDE
 License:SUSE-LGPL-2.1-with-digia-exception-1.1
 Group:  Development/Tools/IDE
 Url:http://qt.digia.com/Product/Developer-Tools/
-%define major_ver 4.0
+%define major_ver 4.1
 %define rname qt-creator
 %define qt5_version 5.6.1
 Source: 
http://download.qt.io/official_releases/qtcreator/%{major_ver}/%{version}/%{rname}-opensource-src-%{version}.tar.gz
@@ -42,10 +42,10 @@
 BuildRequires:  libqt5-qtscript-devel >= %{qt5_version}
 BuildRequires:  libqt5-qttools-private-headers-devel >= %{qt5_version}
 BuildRequires:  libqt5-qtx11extras-devel >= %{qt5_version}
-# Enable the clangcodemodel plugin on OpenSUSE and SLE12-SP2 or newer, which 
have LLVM >= 3.6.
+# Enable the clangcodemodel plugin on OpenSUSE and SLE12-SP2 or newer, which 
have LLVM >= 3.8.
 %ifarch %arm %ix86 x86_64
-%if 0%{?is_opensuse} || 0%{?sle_version} >= 120200
-BuildRequires:  llvm-clang-devel >= 3.6
+%if 0%{?suse_version} > 1320 || (0%{?is_opensuse} && 0%{?sle_version} >= 
120200)
+BuildRequires:  llvm-clang-devel >= 3.8
 %endif
 %endif
 BuildRequires:  update-desktop-files
@@ -94,7 +94,7 @@
 
 # Enable the clangcodemodel plugin on OpenSUSE and SLE12-SP2 or newer, which 
have LLVM >= 3.6.
 %ifarch %arm %ix86 x86_64
-%if 0%{?is_opensuse} || 0%{?sle_version} >= 120200
+%if 0%{?suse_version} > 1320 || (0%{?is_opensuse} && 0%{?sle_version} >= 
120200)
 opts="LLVM_INSTALL_DIR=%{_prefix}"
 %endif
 %endif

++ qt-creator-opensource-src-4.0.1.tar.gz -> 
qt-creator-opensource-src-4.1.0.tar.gz ++
/work/SRC/openSUSE:Factory/libqt5-creator/qt-creator-opensource-src-4.0.1.tar.gz
 
/work/SRC/openSUSE:Factory/.libqt5-creator.new/qt-creator-opensource-src-4.1.0.tar.gz
 differ: char 5, line 1




commit perl-Alien-wxWidgets for openSUSE:Factory

2016-11-22 Thread h_root
Hello community,

here is the log from the commit of package perl-Alien-wxWidgets for 
openSUSE:Factory checked in at 2016-11-22 18:58:29

Comparing /work/SRC/openSUSE:Factory/perl-Alien-wxWidgets (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Alien-wxWidgets.new (New)


Package is "perl-Alien-wxWidgets"

Changes:

--- 
/work/SRC/openSUSE:Factory/perl-Alien-wxWidgets/perl-Alien-wxWidgets.changes
2015-04-16 14:13:23.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.perl-Alien-wxWidgets.new/perl-Alien-wxWidgets.changes
   2016-11-22 18:58:30.0 +0100
@@ -1,0 +2,6 @@
+Sun Nov 13 15:11:39 UTC 2016 - stefan.bru...@rwth-aachen.de
+
+- updated wxWidgets requirements from 2.8 to 3.0 for
+  distribution versions providing wxWidgets-3_0-nostl.
+
+---



Other differences:
--
++ perl-Alien-wxWidgets.spec ++
--- /var/tmp/diff_new_pack.0wZNXU/_old  2016-11-22 18:58:31.0 +0100
+++ /var/tmp/diff_new_pack.0wZNXU/_new  2016-11-22 18:58:31.0 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package perl-Alien-wxWidgets
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -34,13 +34,17 @@
 BuildRequires:  perl
 BuildRequires:  perl-macros
 BuildRequires:  perl(ExtUtils::CBuilder) >= 0.24
-BuildRequires:  perl(Module::Build) >= 0.28
+BuildRequires:  perl(Module::Build) >= 0.28
 BuildRequires:  perl(Module::Pluggable) >= 2.6
 Requires:   perl(Module::Pluggable) >= 2.6
 %{perl_requires}
 # MANUAL BEGIN
 BuildRequires:  gcc-c++
+%if 0%{?suse_version} > 1320 || 0%{?sle_version} >= 120200
+BuildRequires:  wxWidgets-3_0-nostl-devel
+%else
 BuildRequires:  wxWidgets-ansi-devel
+%endif
 # MANUAL END
 
 %description

++ cpanspec.yml ++
--- /var/tmp/diff_new_pack.0wZNXU/_old  2016-11-22 18:58:31.0 +0100
+++ /var/tmp/diff_new_pack.0wZNXU/_new  2016-11-22 18:58:31.0 +0100
@@ -10,7 +10,11 @@
 
 preamble: |-
   BuildRequires:  gcc-c++
+  %if 0%{?suse_version} > 1320 || 0%{?sle_version} >= 120200
+  BuildRequires:  wxWidgets-3_0-nostl-devel
+  %else
   BuildRequires:  wxWidgets-ansi-devel
+  %endif
 post_prep: |-
  # this copy of GNU patch is only used on win32, remove it for license clarity
  # see https://build.opensuse.org/request/show/237465




commit lollypop for openSUSE:Factory

2016-11-22 Thread h_root
Hello community,

here is the log from the commit of package lollypop for openSUSE:Factory 
checked in at 2016-11-22 18:59:33

Comparing /work/SRC/openSUSE:Factory/lollypop (Old)
 and  /work/SRC/openSUSE:Factory/.lollypop.new (New)


Package is "lollypop"

Changes:

--- /work/SRC/openSUSE:Factory/lollypop/lollypop.changes2016-11-14 
20:16:58.0 +0100
+++ /work/SRC/openSUSE:Factory/.lollypop.new/lollypop.changes   2016-11-22 
18:59:34.0 +0100
@@ -1,0 +2,21 @@
+Sun Nov 20 21:44:20 UTC 2016 - badshah...@gmail.com
+
+- Update to version 0.9.217:
+  + Lollypop search provider.
+  + Netease support for web playback.
+  + Bug fixes.
+- Split out a new package: gnome-shell-search-provider-lollypop
+  to provide the search provider for gnome-shell.
+- Add Group tags for all packages.
+
+---
+Sun Nov 20 00:37:14 UTC 2016 - badshah...@gmail.com
+
+- Update to version 0.9.216:
+  + Fix issue with radios.
+- Changes from version 0.9.215:
+  + New filtering feature.
+  + Force GDK X11 backend (gh#gnumdk/lollypop#810).
+  + Bugfixes.
+
+---

Old:

  lollypop-0.9.214.tar.xz

New:

  lollypop-0.9.217.tar.xz



Other differences:
--
++ lollypop.spec ++
--- /var/tmp/diff_new_pack.2FDzEt/_old  2016-11-22 18:59:35.0 +0100
+++ /var/tmp/diff_new_pack.2FDzEt/_new  2016-11-22 18:59:35.0 +0100
@@ -22,7 +22,8 @@
 Name:   lollypop
 Summary:GNOME music playing application
 License:GPL-3.0+
-Version:0.9.214
+Group:  Productivity/Multimedia/Sound/Players
+Version:0.9.217
 Release:0
 Url:http://gnumdk.github.io/lollypop-web/
 Source0:
https://github.com/gnumdk/lollypop/releases/download/%{version}/%{name}-%{version}.tar.xz
@@ -75,6 +76,36 @@
 * HiDPI support
 * Tunein support.
 
+%package -n gnome-shell-search-provider-lollypop
+Summary:GNOME music playing application - gnome-shell search provider
+Group:  Productivity/Multimedia/Sound/Players
+Requires:   %{name} = %{version}
+Requires:   gnome-shell
+Supplements:packageand(%{name}:gnome-shell)
+
+%description -n gnome-shell-search-provider-lollypop
+Lollypop is a new GNOME music playing application. It provides the following
+features:
+* Supports mp3/4, ogg and flac
+* Genre/Cover browsing
+* Genre/Artist/Cover browsing
+* Search
+* Main playlist (called queue in other apps)
+* Party mode
+* Replay gain
+* Cover art downloader
+* Context artist view
+* MTP sync
+* Fullscreen view
+* Radios support
+* Last.fm support
+* Auto install codecs
+* HiDPI support
+* Tunein support.
+
+This package contains a search provider to enable GNOME Shell to get
+search results from %{name}.
+
 %lang_package
 %prep
 %setup -q
@@ -131,4 +162,11 @@
 %{_datadir}/icons/hicolor/*/apps/%{name}-symbolic.svg
 %{python3_sitelib}/lollypop/
 
+%files -n gnome-shell-search-provider-%{name}
+%defattr(-,root,root)
+%{_datadir}/dbus-1/services/org.gnome.Lollypop.SearchProvider.service
+%dir %{_datadir}/gnome-shell
+%dir %{_datadir}/gnome-shell/search-providers
+%{_datadir}/gnome-shell/search-providers/lollypop-search-provider.ini
+
 %changelog

++ lollypop-0.9.214.tar.xz -> lollypop-0.9.217.tar.xz ++
 34629 lines of diff (skipped)




commit phalanx for openSUSE:Factory

2016-11-22 Thread h_root
Hello community,

here is the log from the commit of package phalanx for openSUSE:Factory checked 
in at 2016-11-22 18:59:19

Comparing /work/SRC/openSUSE:Factory/phalanx (Old)
 and  /work/SRC/openSUSE:Factory/.phalanx.new (New)


Package is "phalanx"

Changes:

--- /work/SRC/openSUSE:Factory/phalanx/phalanx.changes  2015-05-18 
22:36:11.0 +0200
+++ /work/SRC/openSUSE:Factory/.phalanx.new/phalanx.changes 2016-11-22 
18:59:20.0 +0100
@@ -1,0 +2,12 @@
+Tue Nov 22 09:26:15 UTC 2016 - pgaj...@suse.com
+
+- updated to XXV
+  Better time management to use more time if the best move changed
+  recently.  Search improvements: Added simple ProbCut, tuned null move
+  and LMR, simplified check evasion extension.  Static evaluation bug
+  fixes, several of them submitted by Fabrice Lecouvey, thanks.  New
+  parameter to root moves randomization, it can now be limited
+  to first N moves of the game.  New opening book generated from
+  KingBase Lite 03/2016 (http://www.kingbase-chess.net/).
+
+---

Old:

  phalanx-XXIV-source.tgz

New:

  phalanx-XXV-source.tgz



Other differences:
--
++ phalanx.spec ++
--- /var/tmp/diff_new_pack.XOBHHl/_old  2016-11-22 18:59:21.0 +0100
+++ /var/tmp/diff_new_pack.XOBHHl/_new  2016-11-22 18:59:21.0 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package phalanx
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,12 +17,12 @@
 
 
 %define srcname Phalanx
-%define srcver  XXIV
+%define srcver  XXV
 
 Name:   phalanx
 Url:http://sourceforge.net/projects/phalanx
 Provides:   chess_backend
-Version:24
+Version:25
 Release:0
 Source: 
http://downloads.sourceforge.net/project/phalanx/Version%20%{srcver}/%{name}-%{srcver}-source.tgz
 Patch0: Phalanx-XXII.diff




commit djvulibre-djview4 for openSUSE:Factory

2016-11-22 Thread h_root
Hello community,

here is the log from the commit of package djvulibre-djview4 for 
openSUSE:Factory checked in at 2016-11-22 18:59:23

Comparing /work/SRC/openSUSE:Factory/djvulibre-djview4 (Old)
 and  /work/SRC/openSUSE:Factory/.djvulibre-djview4.new (New)


Package is "djvulibre-djview4"

Changes:

--- /work/SRC/openSUSE:Factory/djvulibre-djview4/djvulibre-djview4.changes  
2015-03-19 21:25:24.0 +0100
+++ /work/SRC/openSUSE:Factory/.djvulibre-djview4.new/djvulibre-djview4.changes 
2016-11-22 18:59:24.0 +0100
@@ -1,0 +2,11 @@
+Tue Nov 22 10:01:59 UTC 2016 - pgaj...@suse.com
+
+- updated to 4.10.6
+  - Support for pinch gestures
+  - New shortcuts on mac
+  - Support for high dpi displays
+  - Spanish translations
+  - Bug fixes
+  - Workaround for qt5.5 embed bug
+
+---

Old:

  djview-4.10.tar.gz

New:

  djview-4.10.6.tar.gz



Other differences:
--
++ djvulibre-djview4.spec ++
--- /var/tmp/diff_new_pack.cJ7TNu/_old  2016-11-22 18:59:25.0 +0100
+++ /var/tmp/diff_new_pack.cJ7TNu/_new  2016-11-22 18:59:25.0 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package djvulibre-djview4
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   djvulibre-djview4
-Version:4.10
+Version:4.10.6
 Release:0
 Summary:Portable DjVu Qt4 Based Viewer and Browser Plugin
 License:GPL-2.0+
@@ -58,6 +58,7 @@
 sed -i 's|PLUGINSDIR|%{_libdir}/browser-plugins|g' nsdejavu/nsdejavu.1.in 
 
 %build
+export QMAKE=/usr/bin/qmake-qt5
 %configure
 make %{?_smp_mflags}
 

++ djview-4.10.tar.gz -> djview-4.10.6.tar.gz ++
 6987 lines of diff (skipped)




commit perl-App-perlbrew for openSUSE:Factory

2016-11-22 Thread h_root
Hello community,

here is the log from the commit of package perl-App-perlbrew for 
openSUSE:Factory checked in at 2016-11-22 18:58:55

Comparing /work/SRC/openSUSE:Factory/perl-App-perlbrew (Old)
 and  /work/SRC/openSUSE:Factory/.perl-App-perlbrew.new (New)


Package is "perl-App-perlbrew"

Changes:

--- /work/SRC/openSUSE:Factory/perl-App-perlbrew/perl-App-perlbrew.changes  
2016-11-18 22:03:25.0 +0100
+++ /work/SRC/openSUSE:Factory/.perl-App-perlbrew.new/perl-App-perlbrew.changes 
2016-11-22 18:58:56.0 +0100
@@ -1,0 +2,10 @@
+Mon Nov 21 06:03:13 UTC 2016 - co...@suse.com
+
+- updated to 0.78
+   see /usr/share/doc/packages/perl-App-perlbrew/Changes
+
+  0.78: # 2016-11-20T22:59:55+0100
+  - Thanks to our contributors: Manuel Streuhofer, Sergey Aleynikov
+  - More fixes to accomodate changes on perl5.git.perl.org
+
+---

Old:

  App-perlbrew-0.77.tar.gz

New:

  App-perlbrew-0.78.tar.gz



Other differences:
--
++ perl-App-perlbrew.spec ++
--- /var/tmp/diff_new_pack.q593PG/_old  2016-11-22 18:58:57.0 +0100
+++ /var/tmp/diff_new_pack.q593PG/_new  2016-11-22 18:58:57.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   perl-App-perlbrew
-Version:0.77
+Version:0.78
 Release:0
 %define cpan_name App-perlbrew
 Summary:Manage perl installations in your C<$HOME>

++ App-perlbrew-0.77.tar.gz -> App-perlbrew-0.78.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/App-perlbrew-0.77/Changes 
new/App-perlbrew-0.78/Changes
--- old/App-perlbrew-0.77/Changes   2016-11-12 07:21:01.0 +0100
+++ new/App-perlbrew-0.78/Changes   2016-11-20 23:06:40.0 +0100
@@ -1,3 +1,7 @@
+0.78: # 2016-11-20T22:59:55+0100
+- Thanks to our contributors: Manuel Streuhofer, Sergey Aleynikov
+- More fixes to accomodate changes on perl5.git.perl.org
+
 0.77: # 2016-11-12T06:42:45+0100
 - Thanks to our contributors: Dennis Kaarsemaker, Roel Harbers
 - The "uninstall" command now requires confirmation.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/App-perlbrew-0.77/META.yml 
new/App-perlbrew-0.78/META.yml
--- old/App-perlbrew-0.77/META.yml  2016-11-12 07:10:21.0 +0100
+++ new/App-perlbrew-0.78/META.yml  2016-11-20 23:07:31.0 +0100
@@ -39,4 +39,4 @@
 resources:
   license: http://opensource.org/licenses/mit-license.php
   repository: git://github.com/gugod/App-perlbrew.git
-version: '0.77'
+version: '0.78'
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/App-perlbrew-0.77/bin/perlbrew 
new/App-perlbrew-0.78/bin/perlbrew
--- old/App-perlbrew-0.77/bin/perlbrew  2016-09-22 08:27:38.0 +0200
+++ new/App-perlbrew-0.78/bin/perlbrew  2016-11-20 23:06:34.0 +0100
@@ -482,7 +482,7 @@
 Install the C standalone executable in C<$PERLBREW_ROOT/bin>.
 
 For more rationale about the existence of this command, read
-
+
 
 =head1 COMMAND: INSTALL-PATCHPERL
 
@@ -493,7 +493,7 @@
 installer, but not with cpan.
 
 For more rationale about the existence of this command, read
-
+
 
 =head1 COMMAND: SELF-UPGRADE
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/App-perlbrew-0.77/lib/App/perlbrew.pm 
new/App-perlbrew-0.78/lib/App/perlbrew.pm
--- old/App-perlbrew-0.77/lib/App/perlbrew.pm   2016-11-12 07:21:01.0 
+0100
+++ new/App-perlbrew-0.78/lib/App/perlbrew.pm   2016-11-20 23:06:40.0 
+0100
@@ -2,7 +2,7 @@
 use strict;
 use warnings;
 use 5.008;
-our $VERSION = "0.77";
+our $VERSION = "0.78";
 use Config;
 
 BEGIN {
@@ -1151,7 +1151,7 @@
 opendir DIRH, $build_dir or die "Couldn't open ${build_dir}: $!";
 my @contents = readdir DIRH;
 closedir DIRH or warn "Couldn't close ${build_dir}: $!";
-my @candidates = grep { m/^perl-[0-9a-f]{4,40}$/ } @contents;
+my @candidates = grep { m/^perl-blead-[0-9a-f]{4,40}$/ } @contents;
 # Use a Schwartzian Transform in case there are lots of dirs that
 # look like "perl-$SHA1", which is what's inside blead.tar.gz,
 # so we stat each one only once.
@@ -2240,7 +2240,7 @@
 exit(-1);
 }
 
-my $path_name  = joinpath($self->root, "perls", $name);
+my $path_name  = joinpath($self->root, "perls", $name) if $name;
 my $path_alias = joinpath($self->root, "perls", $alias) if $alias;
 
 if ($alias && -e $path_alias && !-l $path_alias) {
@@ -2535,6 

commit perl-DBD-mysql for openSUSE:Factory

2016-11-22 Thread h_root
Hello community,

here is the log from the commit of package perl-DBD-mysql for openSUSE:Factory 
checked in at 2016-11-22 18:58:59

Comparing /work/SRC/openSUSE:Factory/perl-DBD-mysql (Old)
 and  /work/SRC/openSUSE:Factory/.perl-DBD-mysql.new (New)


Package is "perl-DBD-mysql"

Changes:

--- /work/SRC/openSUSE:Factory/perl-DBD-mysql/perl-DBD-mysql.changes
2016-11-18 22:03:31.0 +0100
+++ /work/SRC/openSUSE:Factory/.perl-DBD-mysql.new/perl-DBD-mysql.changes   
2016-11-22 18:59:00.0 +0100
@@ -1,0 +2,26 @@
+Sun Nov 20 06:16:34 UTC 2016 - co...@suse.com
+
+- updated to 4.040
+   see /usr/share/doc/packages/perl-DBD-mysql/Changes
+
+  2016-11-19 Patrick Galbraith, Michiel Beijen, DBI/DBD community (4.040)
+  * Since 4.038 we had problems compiling on big-endian architectures, such
+as MIPS, s390 and Sparc. Thanks to Salvatore Bonaccorso @ Debian project
+(https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=844538)
+and Vladimir Marek (https://rt.cpan.org/Public/Bug/Display.html?id=118835)
+for reporting the issues. Fix by Pali Rohár.
+  
+Fix integer types when server side prepare statements are enabled
+Fixed problems:
+* SQL_BIGINT was incorrectly handled as 32bit MYSQL_TYPE_LONG type instead
+  64bit MYSQL_TYPE_LONGLONG which led to integer overflow/underflow
+* 32bit MYSQL_TYPE_LONG was used for perl's IV storage when IV was 64bit
+  and 64bit MYSQL_TYPE_LONGLONG was used when IV was 32bit
+* All unsigned types were handled as signed, so all high positive values
+  were treated as negative
+* Numeric conversions in perl which led to overflow/underflow was ignored
+  even when mysql strict mode was enabled
+* Test t/41int_min_max.t was running only for normal non-prepared 
statements
+* Test t/40server_prepare.t used incorrect SQL type for big (64bit) 
integers
+
+---

Old:

  DBD-mysql-4.039.tar.gz

New:

  DBD-mysql-4.040.tar.gz



Other differences:
--
++ perl-DBD-mysql.spec ++
--- /var/tmp/diff_new_pack.KpnGlf/_old  2016-11-22 18:59:01.0 +0100
+++ /var/tmp/diff_new_pack.KpnGlf/_new  2016-11-22 18:59:01.0 +0100
@@ -17,14 +17,14 @@
 
 
 Name:   perl-DBD-mysql
-Version:4.039
+Version:4.040
 Release:0
 %define cpan_name DBD-mysql
 Summary:MySQL driver for the Perl5 Database Interface (DBI)
 License:Artistic-1.0 or GPL-1.0+
 Group:  Development/Libraries/Perl
 Url:http://search.cpan.org/dist/DBD-mysql/
-Source0:
http://www.cpan.org/authors/id/C/CA/CAPTTOFU/%{cpan_name}-%{version}.tar.gz
+Source0:
http://www.cpan.org/authors/id/M/MI/MICHIELB/%{cpan_name}-%{version}.tar.gz
 Source1:cpanspec.yml
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  perl

++ DBD-mysql-4.039.tar.gz -> DBD-mysql-4.040.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/DBD-mysql-4.039/Changes new/DBD-mysql-4.040/Changes
--- old/DBD-mysql-4.039/Changes 2016-11-16 04:33:41.0 +0100
+++ new/DBD-mysql-4.040/Changes 2016-11-19 20:55:08.0 +0100
@@ -1,3 +1,23 @@
+2016-11-19 Patrick Galbraith, Michiel Beijen, DBI/DBD community (4.040)
+* Since 4.038 we had problems compiling on big-endian architectures, such
+  as MIPS, s390 and Sparc. Thanks to Salvatore Bonaccorso @ Debian project
+  (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=844538)
+  and Vladimir Marek (https://rt.cpan.org/Public/Bug/Display.html?id=118835)
+  for reporting the issues. Fix by Pali Rohár.
+
+  Fix integer types when server side prepare statements are enabled
+  Fixed problems:
+  * SQL_BIGINT was incorrectly handled as 32bit MYSQL_TYPE_LONG type instead
+64bit MYSQL_TYPE_LONGLONG which led to integer overflow/underflow
+  * 32bit MYSQL_TYPE_LONG was used for perl's IV storage when IV was 64bit
+and 64bit MYSQL_TYPE_LONGLONG was used when IV was 32bit
+  * All unsigned types were handled as signed, so all high positive values
+were treated as negative
+  * Numeric conversions in perl which led to overflow/underflow was ignored
+even when mysql strict mode was enabled
+  * Test t/41int_min_max.t was running only for normal non-prepared statements
+  * Test t/40server_prepare.t used incorrect SQL type for big (64bit) integers
+
 2016-11-15 Patrick Galbraith, Michiel Beijen, DBI/DBD community (4.039)
 * Fix for security issue Out-of-bounds read by DBD::mysql CVE-2016-1249 (pali)
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/DBD-mysql-4.039/META.json 
new/DBD-mysql-4.040/META.json
--- 

commit armadillo for openSUSE:Factory

2016-11-22 Thread h_root
Hello community,

here is the log from the commit of package armadillo for openSUSE:Factory 
checked in at 2016-11-22 18:59:08

Comparing /work/SRC/openSUSE:Factory/armadillo (Old)
 and  /work/SRC/openSUSE:Factory/.armadillo.new (New)


Package is "armadillo"

Changes:

--- /work/SRC/openSUSE:Factory/armadillo/armadillo.changes  2016-11-15 
18:02:13.0 +0100
+++ /work/SRC/openSUSE:Factory/.armadillo.new/armadillo.changes 2016-11-22 
18:59:09.0 +0100
@@ -1,0 +2,6 @@
+Mon Nov 21 00:38:17 UTC 2016 - badshah...@gmail.com
+
+- Update to version 7.500.2:
+  + Undocumented bug fixes.
+
+---

Old:

  armadillo-7.500.1.tar.xz

New:

  armadillo-7.500.2.tar.xz



Other differences:
--
++ armadillo.spec ++
--- /var/tmp/diff_new_pack.XS47ad/_old  2016-11-22 18:59:10.0 +0100
+++ /var/tmp/diff_new_pack.XS47ad/_new  2016-11-22 18:59:10.0 +0100
@@ -18,7 +18,7 @@
 
 %define soname libarmadillo7
 Name:   armadillo
-Version:7.500.1
+Version:7.500.2
 Release:0
 Summary:Fast C++ matrix library with interfaces to LAPACK and ATLAS
 License:MPL-2.0

++ armadillo-7.500.1.tar.xz -> armadillo-7.500.2.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/armadillo-7.500.1/include/armadillo_bits/arma_rng_cxx11.hpp 
new/armadillo-7.500.2/include/armadillo_bits/arma_rng_cxx11.hpp
--- old/armadillo-7.500.1/include/armadillo_bits/arma_rng_cxx11.hpp 
2016-06-16 18:16:07.0 +0200
+++ new/armadillo-7.500.2/include/armadillo_bits/arma_rng_cxx11.hpp 
2016-06-16 18:16:08.0 +0200
@@ -1,4 +1,4 @@
-// Copyright (C) 2013-2015 National ICT Australia (NICTA)
+// Copyright (C) 2013-2016 National ICT Australia (NICTA)
 // 
 // This Source Code Form is subject to the terms of the Mozilla Public
 // License, v. 2.0. If a copy of the MPL was not distributed with this
@@ -57,6 +57,10 @@
 arma_rng_cxx11::set_seed(const arma_rng_cxx11::seed_type val)
   {
   engine.seed(val);
+  
+  i_distr.reset();
+  u_distr.reset();
+  n_distr.reset();
   }
 
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/armadillo-7.500.1/include/armadillo_bits/arma_version.hpp 
new/armadillo-7.500.2/include/armadillo_bits/arma_version.hpp
--- old/armadillo-7.500.1/include/armadillo_bits/arma_version.hpp   
2016-06-16 18:16:07.0 +0200
+++ new/armadillo-7.500.2/include/armadillo_bits/arma_version.hpp   
2016-06-16 18:16:08.0 +0200
@@ -15,7 +15,7 @@
 
 #define ARMA_VERSION_MAJOR 7
 #define ARMA_VERSION_MINOR 500
-#define ARMA_VERSION_PATCH 1
+#define ARMA_VERSION_PATCH 2
 #define ARMA_VERSION_NAME  "Coup d'Etat"
 
 




commit python3-transaction for openSUSE:Factory

2016-11-22 Thread h_root
Hello community,

here is the log from the commit of package python3-transaction for 
openSUSE:Factory checked in at 2016-11-22 18:59:04

Comparing /work/SRC/openSUSE:Factory/python3-transaction (Old)
 and  /work/SRC/openSUSE:Factory/.python3-transaction.new (New)


Package is "python3-transaction"

Changes:

--- /work/SRC/openSUSE:Factory/python3-transaction/python3-transaction.changes  
2016-11-17 12:44:26.0 +0100
+++ 
/work/SRC/openSUSE:Factory/.python3-transaction.new/python3-transaction.changes 
2016-11-22 18:59:05.0 +0100
@@ -1,0 +2,11 @@
+Sun Nov 20 18:45:08 UTC 2016 - a...@gmx.de
+
+- update to version 2.0.3:
+  * The user and description fields must now be set with text
+(unicode) data. Previously, if bytes were provided, they’d be
+decoded as ASCII. It was decided that this would lead to bugs that
+were hard to test for.
+  * Also, the transaction meta-data field, extended_info has been
+renamed to extension.
+
+---

Old:

  transaction-2.0.2.tar.gz

New:

  transaction-2.0.3.tar.gz



Other differences:
--
++ python3-transaction.spec ++
--- /var/tmp/diff_new_pack.gbReME/_old  2016-11-22 18:59:06.0 +0100
+++ /var/tmp/diff_new_pack.gbReME/_new  2016-11-22 18:59:06.0 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   python3-transaction
-Version:2.0.2
+Version:2.0.3
 Release:0
 Summary:Transaction management for Python
 License:ZPL-2.1

++ transaction-2.0.2.tar.gz -> transaction-2.0.3.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/transaction-2.0.2/CHANGES.rst 
new/transaction-2.0.3/CHANGES.rst
--- old/transaction-2.0.2/CHANGES.rst   2016-11-13 22:11:02.0 +0100
+++ new/transaction-2.0.3/CHANGES.rst   2016-11-17 21:50:36.0 +0100
@@ -1,6 +1,17 @@
 Changes
 ===
 
+2.0.3 (2016-11-17)
+--
+
+- The user and description fields must now be set with text (unicode)
+  data.  Previously, if bytes were provided, they'd be decoded as
+  ASCII.  It was decided that this would lead to bugs that were hard
+  to test for.
+
+  Also, the transaction meta-data field, ``extended_info`` has been
+  renamed to ``extension``.
+
 2.0.2 (2016-11-13)
 --
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/transaction-2.0.2/PKG-INFO 
new/transaction-2.0.3/PKG-INFO
--- old/transaction-2.0.2/PKG-INFO  2016-11-13 22:12:15.0 +0100
+++ new/transaction-2.0.3/PKG-INFO  2016-11-17 21:51:31.0 +0100
@@ -1,6 +1,6 @@
 Metadata-Version: 1.1
 Name: transaction
-Version: 2.0.2
+Version: 2.0.3
 Summary: Transaction management for Python
 Home-page: https://github.com/zopefoundation/transaction
 Author: Zope Corporation
@@ -36,6 +36,17 @@
 Changes
 ===
 
+2.0.3 (2016-11-17)
+--
+
+- The user and description fields must now be set with text (unicode)
+  data.  Previously, if bytes were provided, they'd be decoded as
+  ASCII.  It was decided that this would lead to bugs that were hard
+  to test for.
+
+  Also, the transaction meta-data field, ``extended_info`` has been
+  renamed to ``extension``.
+
 2.0.2 (2016-11-13)
 --
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/transaction-2.0.2/docs/convenience.rst 
new/transaction-2.0.3/docs/convenience.rst
--- old/transaction-2.0.2/docs/convenience.rst  2016-11-11 23:13:48.0 
+0100
+++ new/transaction-2.0.3/docs/convenience.rst  2016-11-17 21:36:10.0 
+0100
@@ -23,7 +23,7 @@
 
 >>> with transaction.manager as t:
 ... dm['z'] = 3
-... t.note('test 3')
+... t.note(u'test 3')
 
 >>> dm['z']
 3
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/transaction-2.0.2/docs/convenience.rst~ 
new/transaction-2.0.3/docs/convenience.rst~
--- old/transaction-2.0.2/docs/convenience.rst~ 2016-11-11 21:26:05.0 
+0100
+++ new/transaction-2.0.3/docs/convenience.rst~ 2016-11-11 23:13:48.0 
+0100
@@ -28,8 +28,8 @@
 >>> dm['z']
 3
 
->>> dm.last_note
-'test 3'
+>>> dm.last_note == u'test 3'
+True
 
 >>> with transaction.manager: #doctest ELLIPSIS
 ... dm['z'] = 4
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/transaction-2.0.2/setup.py 
new/transaction-2.0.3/setup.py
--- old/transaction-2.0.2/setup.py  2016-11-13 

commit libgphoto2 for openSUSE:Factory

2016-11-22 Thread h_root
Hello community,

here is the log from the commit of package libgphoto2 for openSUSE:Factory 
checked in at 2016-11-22 18:56:21

Comparing /work/SRC/openSUSE:Factory/libgphoto2 (Old)
 and  /work/SRC/openSUSE:Factory/.libgphoto2.new (New)


Package is "libgphoto2"

Changes:

--- /work/SRC/openSUSE:Factory/libgphoto2/libgphoto2.changes2016-07-15 
12:29:09.0 +0200
+++ /work/SRC/openSUSE:Factory/.libgphoto2.new/libgphoto2.changes   
2016-11-22 18:56:22.0 +0100
@@ -1,0 +2,38 @@
+Sun Nov 20 21:23:15 UTC 2016 - meiss...@suse.com
+
+- updated to 2.5.11 release
+  * canon:
+* not experimental anymore, for some years
+* some bugfixes in configuration handling
+  * ptp2:
+* canon: EOS capture improvements, also supporting new EOS
+* sony: tethering and trigger capture implemented, capture stability 
improvements
+* sony: exposure compensation setting fixed
+* sony: capture and autofocus configurations, similar to eosremoterelease
+* generic: fixed serialnumber retrieval
+* nikon: "autofocus" config variable for global autofocus enable/disable 
(default on, default liveview off)
+* various bugs fixed, stability improved
+* ptpip: allow different event ports. --port ptpip:IP:dataport:eventport
+* New ids reported:
+  - Sony Alpha 7, DSC-RX100M4, NEX-7, DSC-HX20V, Alpha 6300, A7S II, A7, 
+  - Nikon DSC Df, D7200, D5, D810A, 1 V3
+  - Canon EOS 1Dx Mark 3, 80D, 5D Mark IV
+  - Canon Digital IXUS 180
+  - various music players / android phones imported from libmtp 
+
+  * libgphoto2:
+* Speed up initial startup.
+* Win32: store settings in the "User Profile\.gphoto\settings" and not in 
C:\\Windows anymore.
+* gp_widget_changed() no longer clears the "changed" state to make this 
API more consistent.
+  Use gp_widget_set_changed(widget,FALSE) to do so.
+
+  * examples:
+* sample-photobooth: a sample program handling tethering, SIGUSR1 driven 
capture and SIGUSR2
+  based configuration reading.
+* sample-afl: code to inject afl fuzzing data
+
+  * translations:
+* updated swedish, ukrainian, polish, finnish, russian, danish, polish, 
brazilian, serbian, dutch, chinese
+- libgphoto2-newjpeg.patch: removed, upstream
+
+---

Old:

  libgphoto2-2.5.10.tar.bz2
  libgphoto2-2.5.10.tar.bz2.asc
  libgphoto2-newjpeg.patch

New:

  libgphoto2-2.5.11.tar.bz2
  libgphoto2-2.5.11.tar.bz2.asc



Other differences:
--
++ libgphoto2.spec ++
--- /var/tmp/diff_new_pack.sUMw4S/_old  2016-11-22 18:56:23.0 +0100
+++ /var/tmp/diff_new_pack.sUMw4S/_new  2016-11-22 18:56:23.0 +0100
@@ -49,13 +49,12 @@
 Summary:A Digital Camera Library
 License:LGPL-2.1+
 Group:  Hardware/Camera
-Version:2.5.10
+Version:2.5.11
 Release:0
 Source0:
https://downloads.sourceforge.net/project/gphoto/libgphoto/%{version}/%{name}-%{version}.tar.bz2
 Source1:
https://downloads.sourceforge.net/project/gphoto/libgphoto/%{version}//%{name}-%{version}.tar.bz2.asc
 Source2:%name.keyring
 Source3:baselibs.conf
-Patch0: libgphoto2-newjpeg.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Recommends: %{name}-%{major}-lang = %{version}
 
@@ -135,9 +134,6 @@
 
 %prep
 %setup -q
-if pkg-config --atleast-version=1.5.0 libturbojpeg; then
-%patch0 -p1
-fi
 (cd doc; tar xaf libgphoto2-api.html.tar.gz)
 
 %build

++ libgphoto2-2.5.10.tar.bz2 -> libgphoto2-2.5.11.tar.bz2 ++
/work/SRC/openSUSE:Factory/libgphoto2/libgphoto2-2.5.10.tar.bz2 
/work/SRC/openSUSE:Factory/.libgphoto2.new/libgphoto2-2.5.11.tar.bz2 differ: 
char 11, line 1





commit igerman98 for openSUSE:Factory

2016-11-22 Thread h_root
Hello community,

here is the log from the commit of package igerman98 for openSUSE:Factory 
checked in at 2016-11-22 18:58:21

Comparing /work/SRC/openSUSE:Factory/igerman98 (Old)
 and  /work/SRC/openSUSE:Factory/.igerman98.new (New)


Package is "igerman98"

Changes:

--- /work/SRC/openSUSE:Factory/igerman98/igerman98.changes  2014-05-01 
07:51:14.0 +0200
+++ /work/SRC/openSUSE:Factory/.igerman98.new/igerman98.changes 2016-11-22 
18:58:22.0 +0100
@@ -1,0 +2,6 @@
+Mon Nov 21 10:02:05 UTC 2016 - pgaj...@suse.com
+
+- updated to 20160407:
+  * some new words
+
+---

Old:

  igerman98-20131206.tar.bz2

New:

  igerman98-20160407.tar.bz2



Other differences:
--
++ igerman98.spec ++
--- /var/tmp/diff_new_pack.59NAJi/_old  2016-11-22 18:58:23.0 +0100
+++ /var/tmp/diff_new_pack.59NAJi/_new  2016-11-22 18:58:23.0 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package igerman98
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,19 +17,19 @@
 
 
 Name:   igerman98
-Version:20131206
+Version:20160407
 Release:0
 Summary:German Spell Check Dictionaries
-License:GPL-2.0 and LGPL-2.1
-Group:  Productivity/Text/Spell
 # According to Documentation/Copyright we can distribute program under GPL-2.0
 # or GPL-3.0. We have choosed GPL-2.0. More over, aspell/de_all_phonet.dat.in
 # is LGPL-2.1, so adding it to license string.
+License:GPL-2.0 and LGPL-2.1
+Group:  Productivity/Text/Spell
 Url:http://www.j3e.de/ispell/igerman98/dict/
 BuildRequires:  aspell
 BuildRequires:  hunspell
 BuildRequires:  ispell
-Source0:%{name}-%{version}.tar.bz2
+Source0:
https://www.j3e.de/ispell/igerman98/dict/%{name}-%{version}.tar.bz2
 Source1:Nwordlist.tgz
 Source2:fix8bit.c
 Source3:austrian.el

++ igerman98-20131206.tar.bz2 -> igerman98-20160407.tar.bz2 ++
 15439 lines of diff (skipped)




commit openscap for openSUSE:Factory

2016-11-22 Thread h_root
Hello community,

here is the log from the commit of package openscap for openSUSE:Factory 
checked in at 2016-11-22 18:58:17

Comparing /work/SRC/openSUSE:Factory/openscap (Old)
 and  /work/SRC/openSUSE:Factory/.openscap.new (New)


Package is "openscap"

Changes:

--- /work/SRC/openSUSE:Factory/openscap/openscap.changes2016-10-19 
13:14:46.0 +0200
+++ /work/SRC/openSUSE:Factory/.openscap.new/openscap.changes   2016-11-22 
18:58:18.0 +0100
@@ -1,0 +2,18 @@
+Mon Nov 21 09:40:15 UTC 2016 - meiss...@suse.com
+
+- openscap-1.2.12 / 21-11-2016
+  - New features
+- separated stdout and stderr in SCE results and HTML report
+- HTML reports contain [ref] links for rules and groups
+  - Maintenance
+- fixed ARF errors reported by the SCAPval tool
+- fixed CVE parsing (issue #550)
+- fixed namespace of ARF vocabulary according to NIST SP800-126 errata
+- fixed exporting OVAL Windows namespaces
+- fixed injecting xccdf:check-content-ref references in ARF results
+- fixed oscap-docker incompliance reporting (issue #475, RHBZ #1387248)
+- fixed oscap-docker man page (RHBZ #1387166)
+- fixed memory leaks and resource leaks
+- small fixes and refactoring, test suite fixes
+
+---

Old:

  openscap-1.2.11.tar.gz
  openscap-1.2.11.tar.gz.sha1sum

New:

  openscap-1.2.12.tar.gz
  openscap-1.2.12.tar.gz.sha1sum



Other differences:
--
++ openscap.spec ++
--- /var/tmp/diff_new_pack.oU7deQ/_old  2016-11-22 18:58:20.0 +0100
+++ /var/tmp/diff_new_pack.oU7deQ/_new  2016-11-22 18:58:20.0 +0100
@@ -20,7 +20,7 @@
 %define with_bindings 0
 
 Name:   openscap
-Version:1.2.11
+Version:1.2.12
 Release:1.0
 Source: 
https://fedorahosted.org/releases/o/p/openscap/%name-%version.tar.gz
 Source5:
https://fedorahosted.org/releases/o/p/openscap/%name-%version.tar.gz.sha1sum

++ openscap-1.2.11.tar.gz -> openscap-1.2.12.tar.gz ++
/work/SRC/openSUSE:Factory/openscap/openscap-1.2.11.tar.gz 
/work/SRC/openSUSE:Factory/.openscap.new/openscap-1.2.12.tar.gz differ: char 5, 
line 1

++ openscap-1.2.11.tar.gz.sha1sum -> openscap-1.2.12.tar.gz.sha1sum ++
--- /work/SRC/openSUSE:Factory/openscap/openscap-1.2.11.tar.gz.sha1sum  
2016-10-19 13:14:46.0 +0200
+++ /work/SRC/openSUSE:Factory/.openscap.new/openscap-1.2.12.tar.gz.sha1sum 
2016-11-22 18:58:18.0 +0100
@@ -1 +1 @@
-713cdf9cccf3cd4683fda851cf423f54d705a339  openscap-1.2.11.tar.gz
+875c5d3c04a7f01e1a3f2804d1781ef336309fa3  openscap-1.2.12.tar.gz






commit gpgme for openSUSE:Factory

2016-11-22 Thread h_root
Hello community,

here is the log from the commit of package gpgme for openSUSE:Factory checked 
in at 2016-11-22 18:56:36

Comparing /work/SRC/openSUSE:Factory/gpgme (Old)
 and  /work/SRC/openSUSE:Factory/.gpgme.new (New)


Package is "gpgme"

Changes:

--- /work/SRC/openSUSE:Factory/gpgme/gpgme.changes  2016-10-28 
12:14:43.0 +0200
+++ /work/SRC/openSUSE:Factory/.gpgme.new/gpgme.changes 2016-11-22 
18:56:37.0 +0100
@@ -1,0 +2,29 @@
+Sat Nov 19 21:51:22 UTC 2016 - astie...@suse.com
+
+- gpgme 1.8:
+   * The module of the Python bindings has been renamed to 'gpg'.
+   * New interface to query current software versions.
+   * New feature to use gpg's --{show,override}session-key options.
+   * New interface to set the sender of a mail.
+   * qt: Added Distinguished Name parser from libkleo
+   * The --homedir option is now used with recent gpgconf versions.
+   * The internal locking functions have been replaced by libgpg-error
+ locking functions.
+   * Interface changes relative to the 1.7.1 release:
+ gpgme_set_senderNEW.
+ gpgme_get_senderNEW.
+ gpgme_op_query_swdb NEW.
+ gpgme_op_query_swdb_result  NEW.
+ gpgme_query_swdb_result_t   NEW.
+ gpgme_get_ctx_flag  NEW.
+ gpgme_decrypt_result_t  EXTENDED: New field session_key.
+ qt: DN  NEW.
+ qt: DN::Attribute   NEW.
+ qt: Job::context(Job*)  NEW.
+ cpp: EngineInfo::Version::Version(const char*) NEW.
+ cpp: EngineInfo::Version::Version()NEW.
+ cpp: SwdbResultNEW.
+ cpp: Context::setSender(const char*)   NEW.
+ cpp: Context::getSender()  NEW.
+
+---

Old:

  gpgme-1.7.1.tar.bz2
  gpgme-1.7.1.tar.bz2.sig

New:

  gpgme-1.8.0.tar.bz2
  gpgme-1.8.0.tar.bz2.sig



Other differences:
--
++ gpgme.spec ++
--- /var/tmp/diff_new_pack.Uf1X2c/_old  2016-11-22 18:56:38.0 +0100
+++ /var/tmp/diff_new_pack.Uf1X2c/_new  2016-11-22 18:56:38.0 +0100
@@ -21,7 +21,7 @@
 %define with_python3 0
 %define with_qt 0%{?suse_version} >= 1330
 Name:   gpgme
-Version:1.7.1
+Version:1.8.0
 Release:0
 Summary:Programmatic library interface to GnuPG
 License:LGPL-2.1+ and GPL-3.0+
@@ -35,7 +35,7 @@
 Source99:   %{name}.changes
 BuildRequires:  gpg2 >= 2.0.10
 BuildRequires:  libassuan-devel >= 2.0.2
-BuildRequires:  libgpg-error-devel >= 1.11
+BuildRequires:  libgpg-error-devel >= 1.17
 BuildRequires:  pkgconfig
 Requires(post): %{install_info_prereq}
 Requires(preun): %{install_info_prereq}
@@ -127,11 +127,11 @@
 %endif # with_cpp
 
 %if 0%{with_python2}
-%package -n python-pyme
+%package -n python-gpg
 Summary:Python 2 bindings for GPGME, a library for accessing GnuPG
 Group:  Development/Libraries/Python
 
-%description -n python-pyme
+%description -n python-gpg
 GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
 easier for applications. It provides a high-level crypto API for
 encryption, decryption, signing, signature verification, and key
@@ -141,11 +141,11 @@
 %endif # with_python2
 
 %if 0%{with_python3}
-%package -n python3-pyme
+%package -n python3-gpg
 Summary:Python 3 bindings for GPGME, a library for accessing GnuPG
 Group:  Development/Libraries/Python
 
-%description -n python3-pyme
+%description -n python3-gpg
 GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
 easier for applications. It provides a high-level crypto API for
 encryption, decryption, signing, signature verification, and key
@@ -218,14 +218,14 @@
 chmod -x %{buildroot}%{_libdir}/cmake/Gpgmepp/*.cmake
 %endif # with_cpp
 %if 0%{with_python2}
-find %{buildroot}%{python_sitearch}/pyme3-*.egg-info -delete -print
-find %{buildroot}%{python_sitearch}/pyme -type f -name "*.pyc" -delete -print
-rm -v %{buildroot}%{python_sitelib}/pyme/install_files.txt
+find %{buildroot}%{python_sitearch}/gpg-*.egg-info -delete -print
+find %{buildroot}%{python_sitearch}/gpg -type f -name "*.pyc" -delete -print
+rm -v %{buildroot}%{python_sitelib}/gpg/install_files.txt
 %endif # with_python2
 %if 0%{with_python3}
-find %{buildroot}%{python3_sitearch}/pyme3-*.egg-info -delete -print
-rm -v %{buildroot}%{python3_sitelib}/pyme/install_files.txt
-find %{buildroot}%{python3_sitearch}/pyme -type f -name "*.pyc" -delete -print
+find %{buildroot}%{python3_sitearch}/gpg-*.egg-info -delete -print
+rm -v %{buildroot}%{python3_sitelib}/gpg/install_files.txt
+find %{buildroot}%{python3_sitearch}/gpg -type f -name "*.pyc" 

commit enigmail for openSUSE:Factory

2016-11-22 Thread h_root
Hello community,

here is the log from the commit of package enigmail for openSUSE:Factory 
checked in at 2016-11-22 18:58:33

Comparing /work/SRC/openSUSE:Factory/enigmail (Old)
 and  /work/SRC/openSUSE:Factory/.enigmail.new (New)


Package is "enigmail"

Changes:

--- /work/SRC/openSUSE:Factory/enigmail/enigmail.changes2016-11-14 
20:15:37.0 +0100
+++ /work/SRC/openSUSE:Factory/.enigmail.new/enigmail.changes   2016-11-22 
18:58:34.0 +0100
@@ -1,0 +2,6 @@
+Mon Nov 21 12:52:48 UTC 2016 - astie...@suse.com
+
+- enigmail 1.9.6.1:
+  * fix locating of GnuPG executable (openSUSE not affected)
+
+---

Old:

  enigmail-1.9.6.tar.gz
  enigmail-1.9.6.tar.gz.asc

New:

  enigmail-1.9.6.1.tar.gz
  enigmail-1.9.6.1.tar.gz.asc



Other differences:
--
++ enigmail.spec ++
--- /var/tmp/diff_new_pack.0PCwlz/_old  2016-11-22 18:58:35.0 +0100
+++ /var/tmp/diff_new_pack.0PCwlz/_new  2016-11-22 18:58:35.0 +0100
@@ -18,7 +18,7 @@
 
 
 Name:   enigmail
-Version:1.9.6
+Version:1.9.6.1
 Release:0
 Summary:OpenPGP addon for Thunderbird and SeaMonkey
 License:MPL-2.0

++ enigmail-1.9.6.tar.gz -> enigmail-1.9.6.1.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/enigmail/Makefile new/enigmail/Makefile
--- old/enigmail/Makefile   2016-11-02 18:05:38.0 +0100
+++ new/enigmail/Makefile   2016-11-16 13:04:27.0 +0100
@@ -3,7 +3,7 @@
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
 XPI_MODULE = enigmail
-XPI_MODULE_VERS = 1.9.6
+XPI_MODULE_VERS = 1.9.6.1
 
 DEPTH  = .
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/enigmail/ipc/modules/subprocess.jsm 
new/enigmail/ipc/modules/subprocess.jsm
--- old/enigmail/ipc/modules/subprocess.jsm 2016-11-02 18:05:38.0 
+0100
+++ new/enigmail/ipc/modules/subprocess.jsm 2016-11-16 13:04:27.0 
+0100
@@ -1123,6 +1123,7 @@
 active = true,
 done = false,
 exitCode = -1,
+workerExitCode = 0,
 child = {},
 pid = -1,
 writeWorker = [],
@@ -1656,7 +1657,7 @@
   break;
 case "done":
   debugLog("Pipe " + name + " closed\n");
-  updateExitCode(event.data.data);
+  if (event.data.data !== 0) workerExitCode = event.data.data;
   --readers;
   if (readers === 0) cleanup();
   break;
@@ -1736,13 +1737,6 @@
 }
   }
 
-  function updateExitCode(code) {
-if (exitCode > -2 && code >= 0) {
-  exitCode = code;
-}
-exitCode = exitCode % 0xFF;
-  }
-
   function cleanup() {
 debugLog("Cleanup called\n");
 
@@ -1759,10 +1753,18 @@
   var result, status = ctypes.int();
   result = waitpid(child.pid, status.address(), 0);
 
-  if (exitCode > -2 && result > 0) {
-updateExitCode((status.value & 0xff00) >> 8);
+  if (exitCode > -2) {
+if (result > 0)
+  exitCode = status.value;
+else
+if (workerExitCode >= 0)
+  exitCode = workerExitCode;
+else
+  exitCode = status.value;
   }
 
+  exitCode = exitCode % 0xFF;
+
   for (i = 0; i < writeWorker.length; i++) {
 if (writeWorker[i])
   writeWorker[i].postMessage({
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/enigmail/ipc/modules/subprocess_worker_unix.js 
new/enigmail/ipc/modules/subprocess_worker_unix.js
--- old/enigmail/ipc/modules/subprocess_worker_unix.js  2016-11-02 
18:05:38.0 +0100
+++ new/enigmail/ipc/modules/subprocess_worker_unix.js  2016-11-16 
13:04:27.0 +0100
@@ -252,10 +252,10 @@
   result = libcFunc.waitpid(pid, status.address(), WNOHANG);
   if (result > 0) {
 pollTimeout = NOWAIT;
-exitCode = (parseInt(status.value, 10) & 0xff00) >> 8;
+exitCode = parseInt(status.value, 10);
 postMessage({
   msg: "debug",
-  data: "waitpid signaled subprocess stop, exitcode=" + exitCode
+  data: "waitpid signaled subprocess stop, exitcode=" + status.value
 });
   }
   else if (result < 0) {
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/enigmail/package/install.rdf 
new/enigmail/package/install.rdf
--- old/enigmail/package/install.rdf2016-11-02 18:05:38.0 +0100
+++ new/enigmail/package/install.rdf2016-11-16 13:04:27.0 +0100
@@ -5,7 +5,7 @@
 
   
 {847b3a00-7ab1-11d4-8f02-006008948af5}
-1.9.6
+1.9.6.1
 2 
 true
 





commit perl-Email-Abstract for openSUSE:Factory

2016-11-22 Thread h_root
Hello community,

here is the log from the commit of package perl-Email-Abstract for 
openSUSE:Factory checked in at 2016-11-22 18:58:00

Comparing /work/SRC/openSUSE:Factory/perl-Email-Abstract (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Email-Abstract.new (New)


Package is "perl-Email-Abstract"

Changes:

New Changes file:

--- /dev/null   2016-10-27 01:54:32.792041256 +0200
+++ 
/work/SRC/openSUSE:Factory/.perl-Email-Abstract.new/perl-Email-Abstract.changes 
2016-11-22 18:58:01.0 +0100
@@ -0,0 +1,58 @@
+---
+Tue Apr 14 19:20:31 UTC 2015 - co...@suse.com
+
+- updated to 3.008
+   see /usr/share/doc/packages/perl-Email-Abstract/Changes
+
+  3.008 2014-12-27 18:36:19-05:00 America/New_York
+  - make results of get_body be the same on Email::{Simple,MIME}
+  - ...but this method is a mess, so maybe avoid using Abstract for 
body
+work
+  
+  3.007 2013-12-31 10:39:14 America/New_York
+fix skip count when MIME::Entity is not present
+  
+  3.006 2013-09-01 08:41:48 America/New_York
+require Email::Simple 1.998 to allow ->new(\$string)
+  
+  3.005 2013-07-30 09:57:36 America/New_York
+repackage, update bug tracker, etc.
+  
+provide raw body on multipart Email::MIME messages (thanks,
+bailey@upenn)
+[rt.cpan.org #77624]
+
+---
+Tue May 31 14:35:13 UTC 2011 - co...@novell.com
+
+- updated to 3.004
+   If present, MIME::Entity must be v5.501; v5.500 had a regression (or
+   a bug fix, depending how you look at it) that broke header-reading.
+   While technically older versions that are not 5.500 would work, it is
+   much simpler to just require the newest version, rather than to
+   support a version range with a hole in it.
+
+   replace Class::ISA with mro (MRO::Compat)
+
+   avoid a warning in MailInternet with zero headers found
+
+---
+Wed Dec  1 10:12:40 UTC 2010 - co...@novell.com
+
+- switch to perl_requires macro
+
+---
+Mon Nov 29 18:29:49 UTC 2010 - co...@novell.com
+
+- remove /var/adm/perl-modules
+
+---
+Tue Jun  2 09:45:01 CEST 2009 - l...@linux-schulserver.de
+
+- update to 3.001
+
+---
+Fri Sep 14 00:00:00 CEST 2007 - James Oakley  - 2.132-1
+
+- Initial release
+

New:

  Email-Abstract-3.008.tar.gz
  perl-Email-Abstract.changes
  perl-Email-Abstract.spec



Other differences:
--
++ perl-Email-Abstract.spec ++
#
# spec file for package perl-Email-Abstract
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:   perl-Email-Abstract
Version:3.008
Release:0
%define cpan_name Email-Abstract
Summary:unified interface to mail representations
License:Artistic-1.0 or GPL-1.0+
Group:  Development/Libraries/Perl
Url:http://search.cpan.org/dist/Email-Abstract/
Source: 
http://www.cpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Email::Simple) >= 1.998
BuildRequires:  perl(MRO::Compat)
BuildRequires:  perl(Module::Pluggable) >= 1.5
BuildRequires:  perl(Test::More) >= 0.96
Requires:   perl(Email::Simple) >= 1.998
Requires:   perl(MRO::Compat)
Requires:   perl(Module::Pluggable) >= 1.5
%{perl_requires}

%description
'Email::Abstract' provides module writers with the ability to write simple,
representation-independent mail handling code. For instance, in the cases
of 'Mail::Thread' or 'Mail::ListDetector', a key part of the code involves
reading the headers from a mail object. Where previously one would either
have to specify the mail class 

commit man-pages-ja for openSUSE:Factory

2016-11-22 Thread h_root
Hello community,

here is the log from the commit of package man-pages-ja for openSUSE:Factory 
checked in at 2016-11-22 18:58:25

Comparing /work/SRC/openSUSE:Factory/man-pages-ja (Old)
 and  /work/SRC/openSUSE:Factory/.man-pages-ja.new (New)


Package is "man-pages-ja"

Changes:

--- /work/SRC/openSUSE:Factory/man-pages-ja/man-pages-ja.changes
2015-12-16 17:45:18.0 +0100
+++ /work/SRC/openSUSE:Factory/.man-pages-ja.new/man-pages-ja.changes   
2016-11-22 18:58:27.0 +0100
@@ -1,0 +2,6 @@
+Mon Nov 21 10:16:09 UTC 2016 - pgaj...@suse.com
+
+- update to 20161115
+  * added and improved manual pages
+
+---

Old:

  man-pages-ja-20151215.tar.gz

New:

  man-pages-ja-20161115.tar.gz



Other differences:
--
++ man-pages-ja.spec ++
--- /var/tmp/diff_new_pack.7uieHp/_old  2016-11-22 18:58:27.0 +0100
+++ /var/tmp/diff_new_pack.7uieHp/_new  2016-11-22 18:58:27.0 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package man-pages-ja
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,12 +17,12 @@
 
 
 Name:   man-pages-ja
-Version:20151215
+Version:20161115
 Release:0
 Summary:LDP Manual Pages (Japanese)
+# Summary(ja):  Linux 日本語マン・ページ 
 License:GPL-2.0 and BSD-3-Clause and GFDL-1.1 and GFDL-1.2 and GFDL-1.3
 Group:  Documentation/Man
-# Summary(ja):  Linux 日本語マン・ページ 
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Url:http://linuxjm.sourceforge.jp/download.html
 Source: http://linuxjm.sourceforge.jp/man-pages-ja-%{version}.tar.gz

++ man-pages-ja-20151215.tar.gz -> man-pages-ja-20161115.tar.gz ++
 17286 lines of diff (skipped)




commit perl-Mail-Sender for openSUSE:Factory

2016-11-22 Thread h_root
Hello community,

here is the log from the commit of package perl-Mail-Sender for 
openSUSE:Factory checked in at 2016-11-22 18:57:52

Comparing /work/SRC/openSUSE:Factory/perl-Mail-Sender (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Mail-Sender.new (New)


Package is "perl-Mail-Sender"

Changes:

--- /work/SRC/openSUSE:Factory/perl-Mail-Sender/perl-Mail-Sender.changes
2016-07-12 23:54:00.0 +0200
+++ /work/SRC/openSUSE:Factory/.perl-Mail-Sender.new/perl-Mail-Sender.changes   
2016-11-22 18:57:53.0 +0100
@@ -1,0 +2,11 @@
+Fri Nov 18 06:44:29 UTC 2016 - co...@suse.com
+
+- updated to 0.903
+   see /usr/share/doc/packages/perl-Mail-Sender/Changes
+
+  0.903 2016-11-17
+  - PLEASE CONSIDER USING EMAIL-SENDER INSTEAD
+  - Fixed an errant extra test requirement, GH #3.  Thanks, Paul.
+  - Marked the entire dist as DEPRECATED as it should no longer be used.
+
+---

Old:

  Mail-Sender-0.902.tar.gz

New:

  Mail-Sender-0.903.tar.gz



Other differences:
--
++ perl-Mail-Sender.spec ++
--- /var/tmp/diff_new_pack.bVGCOV/_old  2016-11-22 18:57:54.0 +0100
+++ /var/tmp/diff_new_pack.bVGCOV/_new  2016-11-22 18:57:54.0 +0100
@@ -17,10 +17,10 @@
 
 
 Name:   perl-Mail-Sender
-Version:0.902
+Version:0.903
 Release:0
 %define cpan_name Mail-Sender
-Summary:Module for Sending Mails with Attachments Through an Smtp 
Server
+Summary:(DEPRECATED) module for sending mails with attachments through 
an SMTP server
 License:Artistic-1.0 or GPL-1.0+
 Group:  Development/Libraries/Perl
 Url:http://search.cpan.org/dist/Mail-Sender/
@@ -31,8 +31,6 @@
 BuildRequires:  perl
 BuildRequires:  perl-macros
 BuildRequires:  perl(Test::More) >= 0.88
-BuildRequires:  perl(Try::Tiny) >= 0.24
-Requires:   perl(Try::Tiny) >= 0.24
 Recommends: perl(Authen::NTLM)
 Recommends: perl(Digest::HMAC_MD5)
 Recommends: perl(IO::Socket::SSL)
@@ -41,13 +39,12 @@
 %{perl_requires}
 
 %description
+Mail::Sender is deprecated. Email::Sender is the go-to choice when you need
+to send Email from Perl. Go there, be happy!
+
 Mail::Sender provides an object-oriented interface to sending mails. It
 directly connects to the mail server using IO::Socket.
 
-Mail::Sender is going away... well, not really, but it's being officially
-marked as "out of favor". Email::Sender is the go-to choice when you need
-to send Email from Perl. Go there, be happy!
-
 %prep
 %setup -q -n %{cpan_name}-%{version}
 

++ Mail-Sender-0.902.tar.gz -> Mail-Sender-0.903.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Mail-Sender-0.902/Changes 
new/Mail-Sender-0.903/Changes
--- old/Mail-Sender-0.902/Changes   2016-07-11 20:25:01.0 +0200
+++ new/Mail-Sender-0.903/Changes   2016-11-17 15:46:04.0 +0100
@@ -1,5 +1,10 @@
 Revision history for Mail-Sender
 
+0.903 2016-11-17
+- PLEASE CONSIDER USING EMAIL-SENDER INSTEAD
+- Fixed an errant extra test requirement, GH #3.  Thanks, Paul.
+- Marked the entire dist as DEPRECATED as it should no longer be used.
+
 0.902 2016-07-11
 ** PLEASE CONSIDER USING EMAIL-SENDER INSTEAD **
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Mail-Sender-0.902/MANIFEST 
new/Mail-Sender-0.903/MANIFEST
--- old/Mail-Sender-0.902/MANIFEST  2016-07-11 20:25:01.0 +0200
+++ new/Mail-Sender-0.903/MANIFEST  2016-11-17 15:46:04.0 +0100
@@ -1,4 +1,4 @@
-# This file was automatically generated by Dist::Zilla::Plugin::Manifest 
v6.005.
+# This file was automatically generated by Dist::Zilla::Plugin::Manifest 
v6.008.
 Changes
 Config.PL
 LICENSE
@@ -16,7 +16,6 @@
 t/00-report-prereqs.dd
 t/00-report-prereqs.t
 t/01-create-object.t
-xt/author/00-compile.t
 xt/author/pod-coverage.t
 xt/author/pod-spell.t
 xt/author/pod-syntax.t
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Mail-Sender-0.902/META.json 
new/Mail-Sender-0.903/META.json
--- old/Mail-Sender-0.902/META.json 2016-07-11 20:25:01.0 +0200
+++ new/Mail-Sender-0.903/META.json 2016-11-17 15:46:04.0 +0100
@@ -1,10 +1,10 @@
 {
-   "abstract" : "module for sending mails with attachments through an SMTP 
server",
+   "abstract" : "(DEPRECATED) module for sending mails with attachments 
through an SMTP server",
"author" : [
   "Jan Krynick\u00fd "
],
"dynamic_config" : 1,
-   "generated_by" : "Dist::Zilla version 6.005, CPAN::Meta::Converter version 
2.150005",
+   "generated_by" : 

commit MozillaThunderbird for openSUSE:Factory

2016-11-22 Thread h_root
Hello community,

here is the log from the commit of package MozillaThunderbird for 
openSUSE:Factory checked in at 2016-11-22 18:57:20

Comparing /work/SRC/openSUSE:Factory/MozillaThunderbird (Old)
 and  /work/SRC/openSUSE:Factory/.MozillaThunderbird.new (New)


Package is "MozillaThunderbird"

Changes:

--- /work/SRC/openSUSE:Factory/MozillaThunderbird/MozillaThunderbird.changes
2016-10-06 12:28:09.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.MozillaThunderbird.new/MozillaThunderbird.changes   
2016-11-22 18:57:21.0 +0100
@@ -1,0 +2,20 @@
+Sat Nov 19 14:20:05 UTC 2016 - astie...@suse.com
+
+- Mozilla Thunderbird 45.5.0 (boo#1009026)
+- Changed behavior:
+  * Changed recipient address entry: Arrow-keys now copy the pop-up
+value to the input field. Mouse-hovered pop-up value can no
+longer be confirmed with tab or enter key. This restores the
+behavior of Thunderbird 24.
+  * Support changes to character limit in Twitter
+- Bugs fixed:
+  * Reply with selected text containing quote resulted in wrong
+quoting level indication
+  * Email invitation might not be displayed when description
+contains non-ASCII characters
+  * Attempting to sort messages on the Date field whilst a quick
+filter is applied got stuck on sort descending
+  * Mail address display at header pane displayed incorrectly if
+the address contains UTF-8 according to RFC 6532
+
+---

Old:

  l10n-45.4.0.tar.xz
  thunderbird-45.4.0-source.tar.xz

New:

  l10n-45.5.0.tar.xz
  thunderbird-45.5.0-source.tar.xz



Other differences:
--
++ MozillaThunderbird.spec ++
--- /var/tmp/diff_new_pack.eWIEWo/_old  2016-11-22 18:57:35.0 +0100
+++ /var/tmp/diff_new_pack.eWIEWo/_new  2016-11-22 18:57:35.0 +0100
@@ -17,9 +17,9 @@
 #
 
 
-%define mainversion 45.4.0
+%define mainversion 45.5.0
 %define update_channel release
-%define releasedate 2016093000
+%define releasedate 2016111800
 
 %if %suse_version > 1310
 %define gstreamer_ver 1.0
@@ -45,7 +45,7 @@
 BuildRequires:  libidl-devel
 BuildRequires:  libnotify-devel
 BuildRequires:  mozilla-nspr-devel >= 4.12
-BuildRequires:  mozilla-nss-devel >= 3.21.1
+BuildRequires:  mozilla-nss-devel >= 3.21.3
 BuildRequires:  python
 BuildRequires:  startup-notification-devel
 BuildRequires:  unzip


++ compare-locales.tar.xz ++

++ create-tar.sh ++
--- /var/tmp/diff_new_pack.eWIEWo/_old  2016-11-22 18:57:35.0 +0100
+++ /var/tmp/diff_new_pack.eWIEWo/_new  2016-11-22 18:57:35.0 +0100
@@ -2,8 +2,8 @@
 
 CHANNEL="esr45"
 BRANCH="releases/comm-$CHANNEL"
-RELEASE_TAG="THUNDERBIRD_45_4_0_RELEASE"
-VERSION="45.4.0"
+RELEASE_TAG="THUNDERBIRD_45_5_0_RELEASE"
+VERSION="45.5.0"
 
 echo "cloning $BRANCH..."
 hg clone http://hg.mozilla.org/$BRANCH thunderbird

++ l10n-45.4.0.tar.xz -> l10n-45.5.0.tar.xz ++
/work/SRC/openSUSE:Factory/MozillaThunderbird/l10n-45.4.0.tar.xz 
/work/SRC/openSUSE:Factory/.MozillaThunderbird.new/l10n-45.5.0.tar.xz differ: 
char 25, line 1

++ thunderbird-45.4.0-source.tar.xz -> thunderbird-45.5.0-source.tar.xz 
++
/work/SRC/openSUSE:Factory/MozillaThunderbird/thunderbird-45.4.0-source.tar.xz 
/work/SRC/openSUSE:Factory/.MozillaThunderbird.new/thunderbird-45.5.0-source.tar.xz
 differ: char 25, line 1





commit libreoffice for openSUSE:Factory

2016-11-22 Thread h_root
Hello community,

here is the log from the commit of package libreoffice for openSUSE:Factory 
checked in at 2016-11-22 18:57:00

Comparing /work/SRC/openSUSE:Factory/libreoffice (Old)
 and  /work/SRC/openSUSE:Factory/.libreoffice.new (New)


Package is "libreoffice"

Changes:

--- /work/SRC/openSUSE:Factory/libreoffice/libreoffice.changes  2016-11-09 
11:38:04.0 +0100
+++ /work/SRC/openSUSE:Factory/.libreoffice.new/libreoffice.changes 
2016-11-22 18:57:01.0 +0100
@@ -1,0 +2,6 @@
+Mon Nov 21 07:56:22 UTC 2016 - tchva...@suse.com
+
+- Introduce back scp2-user-config-suse.diff wrt bnc#1010654 as
+  otherwise user configs would disappear with maintenance update...
+
+---

New:

  scp2-user-config-suse.diff



Other differences:
--
++ libreoffice.spec ++
--- /var/tmp/diff_new_pack.WwvKKM/_old  2016-11-22 18:57:08.0 +0100
+++ /var/tmp/diff_new_pack.WwvKKM/_new  2016-11-22 18:57:08.0 +0100
@@ -63,6 +63,9 @@
 Source2005: 
%{external_url}/a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.zip
 # PATCH-FIX-SUSE: disable really fragile test run on hsqldb
 Patch0: disable-flaky-hsqldb-test.patch
+# change user config dir name from ~/.libreoffice/3 to ~/.libreoffice/3-suse
+# to avoid BerkleyDB incompatibility with the plain build
+Patch1: scp2-user-config-suse.diff
 # correctly bootstrap python stuff with system python (deb#501028, bnc#90701)
 Patch3: system-pyuno.diff
 # do not use the broken help; unopkg complained about it when registering 
extensions
@@ -924,6 +927,10 @@
 %prep
 %setup -q -b1 -b2
 %patch0 -p1
+# The rename of the configdir is needed only on older than factory for compat
+%if 0%{?suse_version} < 1330
+%patch1
+%endif
 %patch3 -p1
 %patch4
 %patch5







++ scp2-user-config-suse.diff ++
---
 officecfg/registry/data/org/openoffice/Setup.xcu |2 +-
 scp2/source/ooo/common_brand.scp |2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git officecfg/registry/data/org/openoffice/Setup.xcu 
officecfg/registry/data/org/openoffice/Setup.xcu
index 8e18ca5..7c0b95d 100644
--- officecfg/registry/data/org/openoffice/Setup.xcu
+++ officecfg/registry/data/org/openoffice/Setup.xcu
@@ -788,7 +788,7 @@
   10
 
 
-  Libreoffice 3=libreoffice/3,Openofice.org 
3=openoffice.org/3,OpenOffice.org 2=openoffice.org2,StarOffice 
8=staroffice8,StarSuite 8=starsuite8
+  Libreoffice 
3=libreoffice/3-suse,Openofice.org 3=ooo3,OpenOffice.org 2=ooo-2.0,StarOffice 
8=staroffice8,StarSuite 8=starsuite8
 
 
   
diff --git scp2/source/ooo/common_brand.scp scp2/source/ooo/common_brand.scp
index 7bbf873..0b235a0 100644
--- scp2/source/ooo/common_brand.scp
+++ scp2/source/ooo/common_brand.scp
@@ -774,7 +774,7 @@ ProfileItem gid_Brand_Profileitem_Bootstrap_Userinstall
   #elif defined MACOSX
 Value = "$SYSUSERCONFIG/%ONEWORDPRODUCTNAME/%USERDIRPRODUCTVERSION";
   #else
-Value = "$SYSUSERCONFIG/%LCONEWORDPRODUCTNAME/%USERDIRPRODUCTVERSION";
+Value = "$SYSUSERCONFIG/%LCONEWORDPRODUCTNAME/%USERDIRPRODUCTVERSION-suse";
   #endif
 End
 
-- 
1.7.0.1




commit akonadi-server for openSUSE:Factory

2016-11-22 Thread h_root
Hello community,

here is the log from the commit of package akonadi-server for openSUSE:Factory 
checked in at 2016-11-22 18:56:50

Comparing /work/SRC/openSUSE:Factory/akonadi-server (Old)
 and  /work/SRC/openSUSE:Factory/.akonadi-server.new (New)


Package is "akonadi-server"

Changes:

--- /work/SRC/openSUSE:Factory/akonadi-server/akonadi-server.changes
2016-11-12 13:27:34.0 +0100
+++ /work/SRC/openSUSE:Factory/.akonadi-server.new/akonadi-server.changes   
2016-11-22 18:56:51.0 +0100
@@ -1,0 +2,6 @@
+Sun Nov 20 18:24:27 UTC 2016 - hrvoje.sen...@gmail.com
+
+- Split out sqlite plugin into separete package to avoid whole server
+  depending on Qt private API
+
+---



Other differences:
--
++ akonadi-server.spec ++
--- /var/tmp/diff_new_pack.1vQ5db/_old  2016-11-22 18:56:52.0 +0100
+++ /var/tmp/diff_new_pack.1vQ5db/_new  2016-11-22 18:56:52.0 +0100
@@ -117,6 +117,15 @@
 %description -n libKF5AkonadiXml5
 This package includes the Akonadi Xml library for Akonadi, the KDE PIM storage 
service.
 
+%package sqlite
+Summary:akonadi server's SQlite plugin
+Group:  System/GUI/KDE
+Requires:   %{name} = %{version}
+Supplements:packageand(%{name}:sqlite3)
+
+%description sqlite
+Akonadi server's SQlite plugin.
+
 %package devel
 Summary:Akonadi Framework: Build Environment
 Group:  Development/Libraries/X11
@@ -197,6 +206,7 @@
 %{_kf5_plugindir}/akonadi/
 %{_datadir}/akonadi/
 %{_datadir}/kf5/akonadi_knut_resource/
+%exclude %{_kf5_plugindir}/sqldrivers/
 
 %files -n libKF5AkonadiAgentBase5
 %defattr(-,root,root)
@@ -218,6 +228,10 @@
 %defattr(-,root,root)
 %{_libdir}/libKF5AkonadiXml.so.*
 
+%files sqlite
+%defattr(-,root,root)
+%{_kf5_plugindir}/sqldrivers/
+
 %files devel
 %defattr(-,root,root)
 %{_kf5_bindir}/akonadi2xml




commit systemd for openSUSE:Factory

2016-11-22 Thread h_root
Hello community,

here is the log from the commit of package systemd for openSUSE:Factory checked 
in at 2016-11-22 18:55:40

Comparing /work/SRC/openSUSE:Factory/systemd (Old)
 and  /work/SRC/openSUSE:Factory/.systemd.new (New)


Package is "systemd"

Changes:

--- /work/SRC/openSUSE:Factory/systemd/systemd-mini.changes 2016-10-01 
23:46:52.0 +0200
+++ /work/SRC/openSUSE:Factory/.systemd.new/systemd-mini.changes
2016-11-22 18:55:41.0 +0100
@@ -1,0 +2,393 @@
+Mon Nov 14 12:27:56 UTC 2016 - f...@suse.com
+
+- specfile: conflict systemd-bash-completion and systemd-mini-bash-completion
+
+  Otherwise the build system detects that systemd-bash-completion and
+  its mini variant are conflicting at files level even though those
+  packages can't be installed on the same system.
+
+---
+Thu Nov 10 19:11:57 UTC 2016 - f...@suse.com
+
+- specfile: clean up nss-* plugins descriptions and drop
+  nss-myhostname-config script for now.
+
+  Currently /etc/nsswitch.conf is supposed to be edited by the
+  sysadmin to enable the modules. However for some reasons only
+  nss-myhostname is removed from the conf file when the corresponding
+  package is uninstalled. This is inconsistent so let's remove it.
+
+  Actually I'm wondering if we shouldn't make those NSS plugins part
+  of the main package and get rid of all those sub-packages...
+
+---
+Thu Nov 10 18:22:04 UTC 2016 - f...@suse.com
+
+- specfile: remove old comments and unneeded sed command
+
+---
+Thu Nov 10 14:54:22 UTC 2016 - f...@suse.com
+
+- specfile: no need to create systemd-update-utmp-runlevel.service symlinks 
anymore
+
+  The symlinks in 
/usr/lib/systemd/system/.target.wants/systemd-update-utmp-runlevel.service
+  are created in Makefile.am since commit d5d8429a12c4b1.
+
+  'reboot' and 'poweroff' targets initially had the symlinks but
+  there's not point since the latter conflicts shutdown.target whereas
+  the 2 targets pull it in.
+
+  See: https://github.com/systemd/systemd/pull/4429
+
+---
+Thu Nov 10 13:44:13 UTC 2016 - f...@suse.com
+
+- specfile: remove the following warnings:
+
+  [  256s] warning: File listed twice: 
/usr/lib/systemd/system/dbus.target.wants
+  [  256s] warning: File listed twice: 
/usr/lib/systemd/system/default.target.wants
+
+---
+Wed Oct 26 09:41:01 UTC 2016 - f...@suse.com
+
+- Own a couple of directories even if they don't belong to systemd
+  otherwise the build system will complain.
+
+  Some directories (owned by others packages) are simply used by
+  systemd to ship some scripts or config files to customize others
+  *optional* components. Since thos components are not build required
+  by systemd those directories are not owned by any packages and the
+  BS complains...
+
+---
+Wed Oct 26 07:45:08 UTC 2016 - f...@suse.com
+
+- Import commit
+
+  15ea716 journal-remote: change owner of /var/log/journal/remote and create 
/var/lib/systemd/journal-upload (bsc#1006372)
+  
+---
+Mon Oct 24 14:26:40 UTC 2016 - f...@suse.com
+
+- %sysusers_create and %tmpfiles_create must be called in %post
+
+  Calling %pre is broken since the respective conf files are not yet
+  installed.
+
+---
+Mon Oct 24 13:53:04 UTC 2016 - f...@suse.com
+
+- %{_libexecdir}/{tmpfiles.d,sysusers.d}/systemd-remote.conf are
+   part of systemd-journal-remote package (only).
+
+---
+Mon Oct 24 13:21:22 UTC 2016 - f...@suse.com
+
+- systemd-journal-{gatewayd,remote,upload} units are only part of
+  "systemd-journal-remote" package.
+
+  So exclude them from the main package.
+
+---
+Mon Oct 24 08:56:59 UTC 2016 - f...@suse.com
+
+- Import commit a1c145e6ad6588555dca64402f9103fb1e02b1a0
+
+  7f34037 man: explain that *KeyIgnoreInhibited only apply to a subset of locks
+  df5798b Revert "logind: really handle *KeyIgnoreInhibited options in 
logind.conf" (bsc#1001790 bsc#1005404)
+  f79fee7 Revert "kbd-model-map: add more mappings offered by Yast"
+  3760c10 manager: tighten incoming notification message checks
+  d6efd71 core: only warn on short reads on signal fd
+  6eebd91 manager: be stricter with incomining notifications, warn properly 
about too large ones
+  fdf2dc3 manager: don't ever busy loop when we get a notification message we 
can't 

commit vim for openSUSE:Factory

2016-11-22 Thread h_root
Hello community,

here is the log from the commit of package vim for openSUSE:Factory checked in 
at 2016-11-22 18:55:50

Comparing /work/SRC/openSUSE:Factory/vim (Old)
 and  /work/SRC/openSUSE:Factory/.vim.new (New)


Package is "vim"

Changes:

--- /work/SRC/openSUSE:Factory/vim/vim.changes  2016-11-15 17:53:30.0 
+0100
+++ /work/SRC/openSUSE:Factory/.vim.new/vim.changes 2016-11-22 
18:55:51.0 +0100
@@ -1,0 +2,67 @@
+Mon Nov 21 16:01:17 UTC 2016 - dims...@opensuse.org
+
+- Export "TERM=linux" before running the test suite: vim does quite
+  an extensive test relying on a full fledged terminal inside OBS,
+  stdio is redirected to a serial console (where the build log is
+  being recorded/extracted. Systemd set non-local tty by default to
+  vt220 in upcoming versions (which the vi test suite fails to
+  run on; this should be considered a vim bug).
+
+---
+Fri Nov 18 08:47:34 UTC 2016 - idon...@suse.com
+
+- Updated to revision 92, fixes the following problems
+  * Using NUL instead of NULL.
+  * Crash when using the preview window from an unnamed buffer. (lifepillar)
+  * On Windows job_stop() stops cmd.exe, not the processes it runs. (Linwei)
+  * When a match ends in part of concealed text highlighting, it might mess
+  up concealing by resetting prev_syntax_id.
+  * An exiting job is detected with a large latency.
+  * New code for job_stop() breaks channel test on AppVeyor.
+  * Conceal test passes even without the bug fix.
+  * No test for what 8.0.0047 fixes.
+  * On Windows job_stop() stops cmd.exe, not the processes it runs. (Linwei)
+  * Minor comment and style deficiencies.
+  * When setting 'filetype' there is no check for a valid name.
+  * Tests fail without the 'keymap' features.
+  * Positioning of the popup menu is not good.
+  * Vim does not build on VMS systems.
+  * When using an Ex command for 'keywordprg' it is escaped as with a shell
+  command. (Romain Lafourcade)
+  * Compiler warning for unused variable.
+  * No digraph for HORIZONTAL ELLIPSIS.
+  * Compiler warning for comparing with unsigned. (Zoltan Arpadffy)
+  * Normal test fails on MS-Windows.
+  * Compiler warning for unused function in tiny build. (Tony Mechelynck)
+  * when calling an operator function when 'linebreak' is set, it is internally
+  reset before calling the operator function.
+  * VMS has a problem with infinity.
+  * Checking did_throw after executing autocommands is wrong. (Daniel Hahler)
+  * Compiler warning for self-comparison.
+  * Tests referred in Makefile that no longer exist.
+  * Exit value from a shell command is wrong. (Hexchain Tong)
+  * MS-Windows: Crash with long font name. (Henry Hu)
+  * More comparisons between firstwin and lastwin.
+  * Cannot make Vim fail on an internal error.
+  * Using number for exception type lacks type checking.
+  * Channel log has double parens ()().
+  * The GUI code is not tested by Travis.
+  * Accessing freed memory in quickfix.
+  * Accessing freed memory in quickfix. (Domenique Pelle)
+  * The OS X build fails on Travis.
+  * Inconsistent function names.
+  * Extension for configure should be ".ac".
+  * Using freed memory with win_getid(). (Domenique Pelle)
+  * Using freed memory when adding to a quickfix list. (Domenique Pelle)
+  * Using freed memory with recursive function call. (Dominique Pelle)
+  * Cannot add a comment after ":hide". (Norio Takagi)
+  * When the channel callback gets job info the job may already have been
+  deleted. (lifepillar)
+  * When a test fails in Setup or Teardown the problem is not reported.
+  * Various problems with GTK 3.22.2.
+  * Cursor moved after last character when using 'breakindent'.
+  * Test_help_complete sometimes fails in MS-Windows console.
+  * C indenting does not support nested namespaces that C++ 17 has.
+- Drop bsc-1008800.patch, fixed upstream. 
+
+---

Old:

  bsc-1008800.patch
  v8.0.0045.tar.gz

New:

  v8.0.0092.tar.gz



Other differences:
--
++ vim.spec ++
--- /var/tmp/diff_new_pack.Wrn7xO/_old  2016-11-22 18:55:53.0 +0100
+++ /var/tmp/diff_new_pack.Wrn7xO/_new  2016-11-22 18:55:53.0 +0100
@@ -17,8 +17,8 @@
 
 
 %define pkg_version 8.0
-%define patchlevel  0045
-%define patchlevel_compact 45
+%define patchlevel  0092
+%define patchlevel_compact 92
 %define VIM_SUBDIR vim80
 %define site_runtimepath /usr/share/vim/site
 %define make make VIMRCLOC=/etc VIMRUNTIMEDIR=/usr/share/vim/current 
MAKE="make -e" %{?_smp_mflags}
@@ -92,7 +92,6 @@
 Patch18:%{name}-7.3-filetype_spec.patch
 Patch21:%{name}-7.3-filetype_changes.patch
 Patch22:

commit gphoto for openSUSE:Factory

2016-11-22 Thread h_root
Hello community,

here is the log from the commit of package gphoto for openSUSE:Factory checked 
in at 2016-11-22 18:56:12

Comparing /work/SRC/openSUSE:Factory/gphoto (Old)
 and  /work/SRC/openSUSE:Factory/.gphoto.new (New)


Package is "gphoto"

Changes:

--- /work/SRC/openSUSE:Factory/gphoto/gphoto.changes2016-03-31 
13:02:53.0 +0200
+++ /work/SRC/openSUSE:Factory/.gphoto.new/gphoto.changes   2016-11-22 
18:56:13.0 +0100
@@ -1,0 +2,8 @@
+Sun Nov 20 21:42:04 UTC 2016 - meiss...@suse.com
+
+- updated to 2.5.11 release
+* some errors result in exit 0, where it should have been an error exit
+* some windows bugfixes
+* translation updates: icelandic
+
+---

Old:

  gphoto2-2.5.10.tar.bz2
  gphoto2-2.5.10.tar.bz2.asc

New:

  gphoto2-2.5.11.tar.bz2
  gphoto2-2.5.11.tar.bz2.asc



Other differences:
--
++ gphoto.spec ++
--- /var/tmp/diff_new_pack.dZih7S/_old  2016-11-22 18:56:14.0 +0100
+++ /var/tmp/diff_new_pack.dZih7S/_new  2016-11-22 18:56:14.0 +0100
@@ -18,7 +18,7 @@
 
 Name:   gphoto
 BuildRequires:  cdk-devel
-BuildRequires:  libgphoto2-devel >= 2.5.6
+BuildRequires:  libgphoto2-devel >= 2.5.10
 BuildRequires:  libjpeg-devel
 BuildRequires:  pkg-config
 BuildRequires:  popt-devel
@@ -27,7 +27,7 @@
 Summary:A Digital Camera Utility
 License:GPL-2.0+
 Group:  Hardware/Camera
-Version:2.5.10
+Version:2.5.11
 Release:0
 Source0:
https://downloads.sourceforge.net/project/gphoto/gphoto/%{version}/%{name}2-%{version}.tar.bz2
 Source1:
https://downloads.sourceforge.net/project/gphoto/gphoto/%{version}/%{name}2-%{version}.tar.bz2.asc


++ gphoto2-2.5.10.tar.bz2 -> gphoto2-2.5.11.tar.bz2 ++
 22910 lines of diff (skipped)




commit sudo for openSUSE:13.2:Update

2016-11-22 Thread h_root
Hello community,

here is the log from the commit of package sudo for openSUSE:13.2:Update 
checked in at 2016-11-22 14:58:11

Comparing /work/SRC/openSUSE:13.2:Update/sudo (Old)
 and  /work/SRC/openSUSE:13.2:Update/.sudo.new (New)


Package is "sudo"

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
++ _link ++
--- /var/tmp/diff_new_pack.RZzr6y/_old  2016-11-22 14:58:12.0 +0100
+++ /var/tmp/diff_new_pack.RZzr6y/_new  2016-11-22 14:58:12.0 +0100
@@ -1 +1 @@
-
+




commit tar for openSUSE:13.2:Update

2016-11-22 Thread h_root
Hello community,

here is the log from the commit of package tar for openSUSE:13.2:Update checked 
in at 2016-11-22 14:57:14

Comparing /work/SRC/openSUSE:13.2:Update/tar (Old)
 and  /work/SRC/openSUSE:13.2:Update/.tar.new (New)


Package is "tar"

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
++ _link ++
--- /var/tmp/diff_new_pack.z546F4/_old  2016-11-22 14:57:16.0 +0100
+++ /var/tmp/diff_new_pack.z546F4/_new  2016-11-22 14:57:16.0 +0100
@@ -1 +1 @@
-
+




commit dovecot22 for openSUSE:13.2:Update

2016-11-22 Thread h_root
Hello community,

here is the log from the commit of package dovecot22 for openSUSE:13.2:Update 
checked in at 2016-11-22 14:57:43

Comparing /work/SRC/openSUSE:13.2:Update/dovecot22 (Old)
 and  /work/SRC/openSUSE:13.2:Update/.dovecot22.new (New)


Package is "dovecot22"

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
++ _link ++
--- /var/tmp/diff_new_pack.tvEmbE/_old  2016-11-22 14:57:44.0 +0100
+++ /var/tmp/diff_new_pack.tvEmbE/_new  2016-11-22 14:57:44.0 +0100
@@ -1 +1 @@
-
+




commit tar.5864 for openSUSE:13.2:Update

2016-11-22 Thread h_root
Hello community,

here is the log from the commit of package tar.5864 for openSUSE:13.2:Update 
checked in at 2016-11-22 14:57:10

Comparing /work/SRC/openSUSE:13.2:Update/tar.5864 (Old)
 and  /work/SRC/openSUSE:13.2:Update/.tar.5864.new (New)


Package is "tar.5864"

Changes:

New Changes file:

--- /dev/null   2016-10-27 01:54:32.792041256 +0200
+++ /work/SRC/openSUSE:13.2:Update/.tar.5864.new/tar.changes2016-11-22 
14:57:11.0 +0100
@@ -0,0 +1,690 @@
+---
+Thu Nov 10 16:38:49 UTC 2016 - kstreit...@suse.com
+
+- add tar-1.28-recursive_files-from.patch to extract files
+  recursively with --files-from [bsc#913058] 
+
+---
+Tue Nov  8 17:39:07 UTC 2016 - kstreit...@suse.com
+
+- add tar-1.28-extract_pathname_bypass.patch to fix POINTYFEATHER
+  vulnerability - GNU tar archiver can be tricked into extracting 
+  files and directories in the given destination, regardless of the 
+  path name(s) specified on the command line [bsc#1007188] 
+  [CVE-2016-6321] 
+
+---
+Mon Apr 13 10:37:40 UTC 2015 - vci...@suse.com
+
+- Revert tar-recursive--files-from.patch because it causes regression
+  (bnc#918487, bnc#919233)
+
+---
+Mon Feb  9 14:00:15 UTC 2015 - vci...@suse.com
+
+- extract files recursively with --files-from (bnc#913058)
+  * added tar-recursive--files-from.patch
+- call autoreconf in %prep
+
+---
+Fri Nov 21 15:16:22 UTC 2014 - vci...@suse.com
+
+- compile in ACLs, Xattr and selinux support [boo#906413]
+
+---
+Fri Aug 29 19:36:40 UTC 2014 - jeng...@inai.de
+
+- Improve on RPM group classification
+
+---
+Sat Aug  2 23:32:30 UTC 2014 - andreas.stie...@gmx.de
+
+- GNU tar 1.28:
+  * New --checkpoint-action=totals
+  * Extended checkpoint format specification
+  * New option --one-top-level
+  * New option --sort
+  * New exclusion options:
+--exclude-ignore=FILE
+--exclude-ignore-recursive=FILE
+--exclude-vcs-ignores
+  * refuses to read input from and write output to a tty
+- packaging changes:
+  * adjust patch for context change: add_readme-tests.patch
+  * remove patch applied upstream:
+tar-fix_eternal_loop_in_handle_option.patch
+
+---
+Mon Jul 28 20:01:53 UTC 2014 - vci...@suse.com
+
+- don't print lone zero blocks warning (bnc#881863)
+  * there are many tar implementations around that create invalid
+archives with a zero block in the middle
+  * https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=235820
+  * added tar-ignore_lone_zero_blocks.patch from Fedora
+
+---
+Wed Mar 26 17:46:39 UTC 2014 - vci...@suse.com
+
+- fix an infinite loop in handle_option (bnc#867919 and bnc#870422)
+  * added tar-fix_eternal_loop_in_handle_option.patch
+
+---
+Tue Jan  7 11:09:24 CET 2014 - llipav...@suse.com
+
+- add tests subpackage.
+  * It is the same testsuite that is run during make check.
+  * It is now possible to run it in real system to verify that
+nothing is broken by incompatible libraries, etc.
+- add add_readme-tests.patch: README for testsuite
+
+---
+Tue Nov 19 22:16:18 UTC 2013 - andreas.stie...@gmx.de
+
+- update to 1.27.1
+  * Fix unquoting of file names obtained via the -T option.
+  * Fix GNU long link header timestamp (backward compatibility).
+  * Fix extracting sparse members from star archives.
+
+---
+Thu Oct 24 21:57:57 UTC 2013 - andreas.stie...@gmx.de
+
+- update to 1.27
+- bug fixes:
+  * PAX-format sparse archive files no longer restricted to 8 GiB.
+  * adjust diagnostics and output to GNU coding 
+- new features:
+  * The --owner and --group options now accept numeric IDs
+  * restore traditional functionality of --keep-old-files and
+--skip-old-files, treat existing file as errors for the former
+  * --warning=existing-file gives verbose notice for this
+  * Support for POSIX ACLs, extended attributes and SELinux context
+--xattrs, --acls and --selinux and their `--no-' counterparts
+--xattrs-include and --xattrs-exclude allows selective control
+  * Any option taking a command name as its argument now accepts a
+full command line as well:
+--checkpoint-action=exec
+-I, --use-compress-program
+-F,